Package org.eclipse.m2m.atl.common.ATL

## Class ATLPackage

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.m2m.atl.common.ATL.ATLPackage

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

    public class ATLPackage
    extends org.eclipse.emf.ecore.impl.EPackageImpl

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `ATLFactory`

### Nested Class Summary

Nested Classes
`static interface` `ATLPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`static int` `ACTION_BLOCK` The meta object id for the '`Action Block`' class.
`static int` `ACTION_BLOCK__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `ACTION_BLOCK__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `ACTION_BLOCK__LOCATION` The feature id for the 'Location' attribute.
`static int` `ACTION_BLOCK__RULE` The feature id for the 'Rule' container reference.
`static int` `ACTION_BLOCK__STATEMENTS` The feature id for the 'Statements' containment reference list.
`static int` `ACTION_BLOCK_FEATURE_COUNT` The number of structural features of the 'Action Block' class.
`static int` `BINDING` The meta object id for the '`Binding`' class.
`static int` `BINDING__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `BINDING__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `BINDING__IS_ASSIGNMENT` The feature id for the 'Is Assignment' attribute.
`static int` `BINDING__LOCATION` The feature id for the 'Location' attribute.
`static int` `BINDING__OUT_PATTERN_ELEMENT` The feature id for the 'Out Pattern Element' container reference.
`static int` `BINDING__PROPERTY_NAME` The feature id for the 'Property Name' attribute.
`static int` `BINDING__VALUE` The feature id for the 'Value' containment reference.
`static int` `BINDING_FEATURE_COUNT` The number of structural features of the 'Binding' class.
`static int` `BINDING_STAT` The meta object id for the '`Binding Stat`' class.
`static int` `BINDING_STAT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `BINDING_STAT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `BINDING_STAT__IS_ASSIGNMENT` The feature id for the 'Is Assignment' attribute.
`static int` `BINDING_STAT__LOCATION` The feature id for the 'Location' attribute.
`static int` `BINDING_STAT__PROPERTY_NAME` The feature id for the 'Property Name' attribute.
`static int` `BINDING_STAT__SOURCE` The feature id for the 'Source' containment reference.
`static int` `BINDING_STAT__VALUE` The feature id for the 'Value' containment reference.
`static int` `BINDING_STAT_FEATURE_COUNT` The number of structural features of the 'Binding Stat' class.
`static int` `CALLED_RULE` The meta object id for the '`Called Rule`' class.
`static int` `CALLED_RULE__ACTION_BLOCK` The feature id for the 'Action Block' containment reference.
`static int` `CALLED_RULE__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `CALLED_RULE__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `CALLED_RULE__IS_ENDPOINT` The feature id for the 'Is Endpoint' attribute.
`static int` `CALLED_RULE__IS_ENTRYPOINT` The feature id for the 'Is Entrypoint' attribute.
`static int` `CALLED_RULE__LOCATION` The feature id for the 'Location' attribute.
`static int` `CALLED_RULE__MODULE` The feature id for the 'Module' container reference.
`static int` `CALLED_RULE__NAME` The feature id for the 'Name' attribute.
`static int` `CALLED_RULE__OUT_PATTERN` The feature id for the 'Out Pattern' containment reference.
`static int` `CALLED_RULE__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `CALLED_RULE__VARIABLES` The feature id for the 'Variables' containment reference list.
`static int` `CALLED_RULE_FEATURE_COUNT` The number of structural features of the 'Called Rule' class.
`static int` `DROP_PATTERN` The meta object id for the '`Drop Pattern`' class.
`static int` `DROP_PATTERN__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `DROP_PATTERN__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `DROP_PATTERN__LOCATION` The feature id for the 'Location' attribute.
`static int` `DROP_PATTERN__OUT_PATTERN` The feature id for the 'Out Pattern' container reference.
`static int` `DROP_PATTERN_FEATURE_COUNT` The number of structural features of the 'Drop Pattern' class.
`static ATLPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EXPRESSION_STAT` The meta object id for the '`Expression Stat`' class.
`static int` `EXPRESSION_STAT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `EXPRESSION_STAT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `EXPRESSION_STAT__EXPRESSION` The feature id for the 'Expression' containment reference.
`static int` `EXPRESSION_STAT__LOCATION` The feature id for the 'Location' attribute.
`static int` `EXPRESSION_STAT_FEATURE_COUNT` The number of structural features of the 'Expression Stat' class.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT` The meta object id for the '`For Each Out Pattern Element`' class.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__BASE_EXP` The feature id for the 'Base Exp' container reference.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__BINDINGS` The feature id for the 'Bindings' containment reference list.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__COLLECTION` The feature id for the 'Collection' containment reference.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__ID` The feature id for the 'Id' attribute.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__INIT_EXPRESSION` The feature id for the 'Init Expression' containment reference.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__ITERATOR` The feature id for the 'Iterator' containment reference.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__LET_EXP` The feature id for the 'Let Exp' container reference.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__LOCATION` The feature id for the 'Location' attribute.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__MODEL` The feature id for the 'Model' reference.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__OUT_PATTERN` The feature id for the 'Out Pattern' container reference.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__SOURCE_ELEMENT` The feature id for the 'Source Element' reference.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__TYPE` The feature id for the 'Type' containment reference.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__VAR_NAME` The feature id for the 'Var Name' attribute.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT__VARIABLE_EXP` The feature id for the 'Variable Exp' reference list.
`static int` `FOR_EACH_OUT_PATTERN_ELEMENT_FEATURE_COUNT` The number of structural features of the 'For Each Out Pattern Element' class.
`static int` `FOR_STAT` The meta object id for the '`For Stat`' class.
`static int` `FOR_STAT__COLLECTION` The feature id for the 'Collection' containment reference.
`static int` `FOR_STAT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `FOR_STAT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `FOR_STAT__ITERATOR` The feature id for the 'Iterator' containment reference.
`static int` `FOR_STAT__LOCATION` The feature id for the 'Location' attribute.
`static int` `FOR_STAT__STATEMENTS` The feature id for the 'Statements' containment reference list.
`static int` `FOR_STAT_FEATURE_COUNT` The number of structural features of the 'For Stat' class.
`static int` `HELPER` The meta object id for the '`Helper`' class.
`static int` `HELPER__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `HELPER__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `HELPER__DEFINITION` The feature id for the 'Definition' containment reference.
`static int` `HELPER__LIBRARY` The feature id for the 'Library' container reference.
`static int` `HELPER__LOCATION` The feature id for the 'Location' attribute.
`static int` `HELPER__MODULE` The feature id for the 'Module' container reference.
`static int` `HELPER__QUERY` The feature id for the 'Query' container reference.
`static int` `HELPER_FEATURE_COUNT` The number of structural features of the 'Helper' class.
`static int` `IF_STAT` The meta object id for the '`If Stat`' class.
`static int` `IF_STAT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `IF_STAT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `IF_STAT__CONDITION` The feature id for the 'Condition' containment reference.
`static int` `IF_STAT__ELSE_STATEMENTS` The feature id for the 'Else Statements' containment reference list.
`static int` `IF_STAT__LOCATION` The feature id for the 'Location' attribute.
`static int` `IF_STAT__THEN_STATEMENTS` The feature id for the 'Then Statements' containment reference list.
`static int` `IF_STAT_FEATURE_COUNT` The number of structural features of the 'If Stat' class.
`static int` `IN_PATTERN` The meta object id for the '`In Pattern`' class.
`static int` `IN_PATTERN__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `IN_PATTERN__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `IN_PATTERN__ELEMENTS` The feature id for the 'Elements' containment reference list.
`static int` `IN_PATTERN__FILTER` The feature id for the 'Filter' containment reference.
`static int` `IN_PATTERN__LOCATION` The feature id for the 'Location' attribute.
`static int` `IN_PATTERN__RULE` The feature id for the 'Rule' container reference.
`static int` `IN_PATTERN_ELEMENT` The meta object id for the '`In Pattern Element`' class.
`static int` `IN_PATTERN_ELEMENT__BASE_EXP` The feature id for the 'Base Exp' container reference.
`static int` `IN_PATTERN_ELEMENT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `IN_PATTERN_ELEMENT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `IN_PATTERN_ELEMENT__ID` The feature id for the 'Id' attribute.
`static int` `IN_PATTERN_ELEMENT__IN_PATTERN` The feature id for the 'In Pattern' container reference.
`static int` `IN_PATTERN_ELEMENT__INIT_EXPRESSION` The feature id for the 'Init Expression' containment reference.
`static int` `IN_PATTERN_ELEMENT__LET_EXP` The feature id for the 'Let Exp' container reference.
`static int` `IN_PATTERN_ELEMENT__LOCATION` The feature id for the 'Location' attribute.
`static int` `IN_PATTERN_ELEMENT__MAPS_TO` The feature id for the 'Maps To' reference.
`static int` `IN_PATTERN_ELEMENT__MODELS` The feature id for the 'Models' reference list.
`static int` `IN_PATTERN_ELEMENT__TYPE` The feature id for the 'Type' containment reference.
`static int` `IN_PATTERN_ELEMENT__VAR_NAME` The feature id for the 'Var Name' attribute.
`static int` `IN_PATTERN_ELEMENT__VARIABLE_EXP` The feature id for the 'Variable Exp' reference list.
`static int` `IN_PATTERN_ELEMENT_FEATURE_COUNT` The number of structural features of the 'In Pattern Element' class.
`static int` `IN_PATTERN_FEATURE_COUNT` The number of structural features of the 'In Pattern' class.
`static int` `LAZY_MATCHED_RULE` The meta object id for the '`Lazy Matched Rule`' class.
`static int` `LAZY_MATCHED_RULE__ACTION_BLOCK` The feature id for the 'Action Block' containment reference.
`static int` `LAZY_MATCHED_RULE__CHILDREN` The feature id for the 'Children' reference list.
`static int` `LAZY_MATCHED_RULE__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `LAZY_MATCHED_RULE__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `LAZY_MATCHED_RULE__IN_PATTERN` The feature id for the 'In Pattern' containment reference.
`static int` `LAZY_MATCHED_RULE__IS_ABSTRACT` The feature id for the 'Is Abstract' attribute.
`static int` `LAZY_MATCHED_RULE__IS_NO_DEFAULT` The feature id for the 'Is No Default' attribute.
`static int` `LAZY_MATCHED_RULE__IS_REFINING` The feature id for the 'Is Refining' attribute.
`static int` `LAZY_MATCHED_RULE__IS_UNIQUE` The feature id for the 'Is Unique' attribute.
`static int` `LAZY_MATCHED_RULE__LOCATION` The feature id for the 'Location' attribute.
`static int` `LAZY_MATCHED_RULE__MODULE` The feature id for the 'Module' container reference.
`static int` `LAZY_MATCHED_RULE__NAME` The feature id for the 'Name' attribute.
`static int` `LAZY_MATCHED_RULE__OUT_PATTERN` The feature id for the 'Out Pattern' containment reference.
`static int` `LAZY_MATCHED_RULE__SUPER_RULE` The feature id for the 'Super Rule' reference.
`static int` `LAZY_MATCHED_RULE__VARIABLES` The feature id for the 'Variables' containment reference list.
`static int` `LAZY_MATCHED_RULE_FEATURE_COUNT` The number of structural features of the 'Lazy Matched Rule' class.
`static int` `LIBRARY` The meta object id for the '`Library`' class.
`static int` `LIBRARY__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `LIBRARY__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `LIBRARY__HELPERS` The feature id for the 'Helpers' containment reference list.
`static int` `LIBRARY__LIBRARIES` The feature id for the 'Libraries' containment reference list.
`static int` `LIBRARY__LOCATION` The feature id for the 'Location' attribute.
`static int` `LIBRARY__NAME` The feature id for the 'Name' attribute.
`static int` `LIBRARY_FEATURE_COUNT` The number of structural features of the 'Library' class.
`static int` `LIBRARY_REF` The meta object id for the '`Library Ref`' class.
`static int` `LIBRARY_REF__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `LIBRARY_REF__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `LIBRARY_REF__LOCATION` The feature id for the 'Location' attribute.
`static int` `LIBRARY_REF__NAME` The feature id for the 'Name' attribute.
`static int` `LIBRARY_REF__UNIT` The feature id for the 'Unit' container reference.
`static int` `LIBRARY_REF_FEATURE_COUNT` The number of structural features of the 'Library Ref' class.
`static int` `LOCATED_ELEMENT` The meta object id for the '`Located Element`' class.
`static int` `LOCATED_ELEMENT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `LOCATED_ELEMENT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `LOCATED_ELEMENT__LOCATION` The feature id for the 'Location' attribute.
`static int` `LOCATED_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Located Element' class.
`static int` `MATCHED_RULE` The meta object id for the '`Matched Rule`' class.
`static int` `MATCHED_RULE__ACTION_BLOCK` The feature id for the 'Action Block' containment reference.
`static int` `MATCHED_RULE__CHILDREN` The feature id for the 'Children' reference list.
`static int` `MATCHED_RULE__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `MATCHED_RULE__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `MATCHED_RULE__IN_PATTERN` The feature id for the 'In Pattern' containment reference.
`static int` `MATCHED_RULE__IS_ABSTRACT` The feature id for the 'Is Abstract' attribute.
`static int` `MATCHED_RULE__IS_NO_DEFAULT` The feature id for the 'Is No Default' attribute.
`static int` `MATCHED_RULE__IS_REFINING` The feature id for the 'Is Refining' attribute.
`static int` `MATCHED_RULE__LOCATION` The feature id for the 'Location' attribute.
`static int` `MATCHED_RULE__MODULE` The feature id for the 'Module' container reference.
`static int` `MATCHED_RULE__NAME` The feature id for the 'Name' attribute.
`static int` `MATCHED_RULE__OUT_PATTERN` The feature id for the 'Out Pattern' containment reference.
`static int` `MATCHED_RULE__SUPER_RULE` The feature id for the 'Super Rule' reference.
`static int` `MATCHED_RULE__VARIABLES` The feature id for the 'Variables' containment reference list.
`static int` `MATCHED_RULE_FEATURE_COUNT` The number of structural features of the 'Matched Rule' class.
`static int` `MODULE` The meta object id for the '`Module`' class.
`static int` `MODULE__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `MODULE__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `MODULE__ELEMENTS` The feature id for the 'Elements' containment reference list.
`static int` `MODULE__IN_MODELS` The feature id for the 'In Models' containment reference list.
`static int` `MODULE__IS_REFINING` The feature id for the 'Is Refining' attribute.
`static int` `MODULE__LIBRARIES` The feature id for the 'Libraries' containment reference list.
`static int` `MODULE__LOCATION` The feature id for the 'Location' attribute.
`static int` `MODULE__NAME` The feature id for the 'Name' attribute.
`static int` `MODULE__OUT_MODELS` The feature id for the 'Out Models' containment reference list.
`static int` `MODULE_ELEMENT` The meta object id for the '`Module Element`' class.
`static int` `MODULE_ELEMENT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `MODULE_ELEMENT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `MODULE_ELEMENT__LOCATION` The feature id for the 'Location' attribute.
`static int` `MODULE_ELEMENT__MODULE` The feature id for the 'Module' container reference.
`static int` `MODULE_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Module Element' class.
`static int` `MODULE_FEATURE_COUNT` The number of structural features of the 'Module' class.
`static int` `OUT_PATTERN` The meta object id for the '`Out Pattern`' class.
`static int` `OUT_PATTERN__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `OUT_PATTERN__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `OUT_PATTERN__DROP_PATTERN` The feature id for the 'Drop Pattern' containment reference.
`static int` `OUT_PATTERN__ELEMENTS` The feature id for the 'Elements' containment reference list.
`static int` `OUT_PATTERN__LOCATION` The feature id for the 'Location' attribute.
`static int` `OUT_PATTERN__RULE` The feature id for the 'Rule' container reference.
`static int` `OUT_PATTERN_ELEMENT` The meta object id for the '`Out Pattern Element`' class.
`static int` `OUT_PATTERN_ELEMENT__BASE_EXP` The feature id for the 'Base Exp' container reference.
`static int` `OUT_PATTERN_ELEMENT__BINDINGS` The feature id for the 'Bindings' containment reference list.
`static int` `OUT_PATTERN_ELEMENT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `OUT_PATTERN_ELEMENT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `OUT_PATTERN_ELEMENT__ID` The feature id for the 'Id' attribute.
`static int` `OUT_PATTERN_ELEMENT__INIT_EXPRESSION` The feature id for the 'Init Expression' containment reference.
`static int` `OUT_PATTERN_ELEMENT__LET_EXP` The feature id for the 'Let Exp' container reference.
`static int` `OUT_PATTERN_ELEMENT__LOCATION` The feature id for the 'Location' attribute.
`static int` `OUT_PATTERN_ELEMENT__MODEL` The feature id for the 'Model' reference.
`static int` `OUT_PATTERN_ELEMENT__OUT_PATTERN` The feature id for the 'Out Pattern' container reference.
`static int` `OUT_PATTERN_ELEMENT__SOURCE_ELEMENT` The feature id for the 'Source Element' reference.
`static int` `OUT_PATTERN_ELEMENT__TYPE` The feature id for the 'Type' containment reference.
`static int` `OUT_PATTERN_ELEMENT__VAR_NAME` The feature id for the 'Var Name' attribute.
`static int` `OUT_PATTERN_ELEMENT__VARIABLE_EXP` The feature id for the 'Variable Exp' reference list.
`static int` `OUT_PATTERN_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Out Pattern Element' class.
`static int` `OUT_PATTERN_FEATURE_COUNT` The number of structural features of the 'Out Pattern' class.
`static int` `PATTERN_ELEMENT` The meta object id for the '`Pattern Element`' class.
`static int` `PATTERN_ELEMENT__BASE_EXP` The feature id for the 'Base Exp' container reference.
`static int` `PATTERN_ELEMENT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `PATTERN_ELEMENT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `PATTERN_ELEMENT__ID` The feature id for the 'Id' attribute.
`static int` `PATTERN_ELEMENT__INIT_EXPRESSION` The feature id for the 'Init Expression' containment reference.
`static int` `PATTERN_ELEMENT__LET_EXP` The feature id for the 'Let Exp' container reference.
`static int` `PATTERN_ELEMENT__LOCATION` The feature id for the 'Location' attribute.
`static int` `PATTERN_ELEMENT__TYPE` The feature id for the 'Type' containment reference.
`static int` `PATTERN_ELEMENT__VAR_NAME` The feature id for the 'Var Name' attribute.
`static int` `PATTERN_ELEMENT__VARIABLE_EXP` The feature id for the 'Variable Exp' reference list.
`static int` `PATTERN_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Pattern Element' class.
`static int` `QUERY` The meta object id for the '`Query`' class.
`static int` `QUERY__BODY` The feature id for the 'Body' containment reference.
`static int` `QUERY__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `QUERY__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `QUERY__HELPERS` The feature id for the 'Helpers' containment reference list.
`static int` `QUERY__LIBRARIES` The feature id for the 'Libraries' containment reference list.
`static int` `QUERY__LOCATION` The feature id for the 'Location' attribute.
`static int` `QUERY__NAME` The feature id for the 'Name' attribute.
`static int` `QUERY_FEATURE_COUNT` The number of structural features of the 'Query' class.
`static int` `RULE` The meta object id for the '`Rule`' class.
`static int` `RULE__ACTION_BLOCK` The feature id for the 'Action Block' containment reference.
`static int` `RULE__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `RULE__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `RULE__LOCATION` The feature id for the 'Location' attribute.
`static int` `RULE__MODULE` The feature id for the 'Module' container reference.
`static int` `RULE__NAME` The feature id for the 'Name' attribute.
`static int` `RULE__OUT_PATTERN` The feature id for the 'Out Pattern' containment reference.
`static int` `RULE__VARIABLES` The feature id for the 'Variables' containment reference list.
`static int` `RULE_FEATURE_COUNT` The number of structural features of the 'Rule' class.
`static int` `RULE_VARIABLE_DECLARATION` The meta object id for the '`Rule Variable Declaration`' class.
`static int` `RULE_VARIABLE_DECLARATION__BASE_EXP` The feature id for the 'Base Exp' container reference.
`static int` `RULE_VARIABLE_DECLARATION__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `RULE_VARIABLE_DECLARATION__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `RULE_VARIABLE_DECLARATION__ID` The feature id for the 'Id' attribute.
`static int` `RULE_VARIABLE_DECLARATION__INIT_EXPRESSION` The feature id for the 'Init Expression' containment reference.
`static int` `RULE_VARIABLE_DECLARATION__LET_EXP` The feature id for the 'Let Exp' container reference.
`static int` `RULE_VARIABLE_DECLARATION__LOCATION` The feature id for the 'Location' attribute.
`static int` `RULE_VARIABLE_DECLARATION__RULE` The feature id for the 'Rule' container reference.
`static int` `RULE_VARIABLE_DECLARATION__TYPE` The feature id for the 'Type' containment reference.
`static int` `RULE_VARIABLE_DECLARATION__VAR_NAME` The feature id for the 'Var Name' attribute.
`static int` `RULE_VARIABLE_DECLARATION__VARIABLE_EXP` The feature id for the 'Variable Exp' reference list.
`static int` `RULE_VARIABLE_DECLARATION_FEATURE_COUNT` The number of structural features of the 'Rule Variable Declaration' class.
`static int` `SIMPLE_IN_PATTERN_ELEMENT` The meta object id for the '`Simple In Pattern Element`' class.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__BASE_EXP` The feature id for the 'Base Exp' container reference.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__ID` The feature id for the 'Id' attribute.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__IN_PATTERN` The feature id for the 'In Pattern' container reference.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__INIT_EXPRESSION` The feature id for the 'Init Expression' containment reference.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__LET_EXP` The feature id for the 'Let Exp' container reference.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__LOCATION` The feature id for the 'Location' attribute.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__MAPS_TO` The feature id for the 'Maps To' reference.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__MODELS` The feature id for the 'Models' reference list.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__TYPE` The feature id for the 'Type' containment reference.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__VAR_NAME` The feature id for the 'Var Name' attribute.
`static int` `SIMPLE_IN_PATTERN_ELEMENT__VARIABLE_EXP` The feature id for the 'Variable Exp' reference list.
`static int` `SIMPLE_IN_PATTERN_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Simple In Pattern Element' class.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT` The meta object id for the '`Simple Out Pattern Element`' class.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__BASE_EXP` The feature id for the 'Base Exp' container reference.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__BINDINGS` The feature id for the 'Bindings' containment reference list.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__ID` The feature id for the 'Id' attribute.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__INIT_EXPRESSION` The feature id for the 'Init Expression' containment reference.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__LET_EXP` The feature id for the 'Let Exp' container reference.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__LOCATION` The feature id for the 'Location' attribute.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__MODEL` The feature id for the 'Model' reference.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__OUT_PATTERN` The feature id for the 'Out Pattern' container reference.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__REVERSE_BINDINGS` The feature id for the 'Reverse Bindings' containment reference list.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__SOURCE_ELEMENT` The feature id for the 'Source Element' reference.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__TYPE` The feature id for the 'Type' containment reference.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__VAR_NAME` The feature id for the 'Var Name' attribute.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT__VARIABLE_EXP` The feature id for the 'Variable Exp' reference list.
`static int` `SIMPLE_OUT_PATTERN_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Simple Out Pattern Element' class.
`static int` `STATEMENT` The meta object id for the '`Statement`' class.
`static int` `STATEMENT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `STATEMENT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `STATEMENT__LOCATION` The feature id for the 'Location' attribute.
`static int` `STATEMENT_FEATURE_COUNT` The number of structural features of the 'Statement' class.
`static int` `UNIT` The meta object id for the '`Unit`' class.
`static int` `UNIT__COMMENTS_AFTER` The feature id for the 'Comments After' attribute list.
`static int` `UNIT__COMMENTS_BEFORE` The feature id for the 'Comments Before' attribute list.
`static int` `UNIT__LIBRARIES` The feature id for the 'Libraries' containment reference list.
`static int` `UNIT__LOCATION` The feature id for the 'Location' attribute.
`static int` `UNIT__NAME` The feature id for the 'Name' attribute.
`static int` `UNIT_FEATURE_COUNT` The number of structural features of the 'Unit' class.

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass` `getActionBlock()` Returns the meta object for class '`Action Block`'.
`org.eclipse.emf.ecore.EReference` `getActionBlock_Rule()` Returns the meta object for the container reference '`Rule`'.
`org.eclipse.emf.ecore.EReference` `getActionBlock_Statements()` Returns the meta object for the containment reference list '`Statements`'.
`ATLFactory` `getATLFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass` `getBinding()` Returns the meta object for class '`Binding`'.
`org.eclipse.emf.ecore.EAttribute` `getBinding_IsAssignment()` Returns the meta object for the attribute '`Is Assignment`'.
`org.eclipse.emf.ecore.EReference` `getBinding_OutPatternElement()` Returns the meta object for the container reference '`Out Pattern Element`'.
`org.eclipse.emf.ecore.EAttribute` `getBinding_PropertyName()` Returns the meta object for the attribute '`Property Name`'.
`org.eclipse.emf.ecore.EReference` `getBinding_Value()` Returns the meta object for the containment reference '`Value`'.
`org.eclipse.emf.ecore.EClass` `getBindingStat()` Returns the meta object for class '`Binding Stat`'.
`org.eclipse.emf.ecore.EAttribute` `getBindingStat_IsAssignment()` Returns the meta object for the attribute '`Is Assignment`'.
`org.eclipse.emf.ecore.EAttribute` `getBindingStat_PropertyName()` Returns the meta object for the attribute '`Property Name`'.
`org.eclipse.emf.ecore.EReference` `getBindingStat_Source()` Returns the meta object for the containment reference '`Source`'.
`org.eclipse.emf.ecore.EReference` `getBindingStat_Value()` Returns the meta object for the containment reference '`Value`'.
`org.eclipse.emf.ecore.EClass` `getCalledRule()` Returns the meta object for class '`Called Rule`'.
`org.eclipse.emf.ecore.EAttribute` `getCalledRule_IsEndpoint()` Returns the meta object for the attribute '`Is Endpoint`'.
`org.eclipse.emf.ecore.EAttribute` `getCalledRule_IsEntrypoint()` Returns the meta object for the attribute '`Is Entrypoint`'.
`org.eclipse.emf.ecore.EReference` `getCalledRule_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
`org.eclipse.emf.ecore.EClass` `getDropPattern()` Returns the meta object for class '`Drop Pattern`'.
`org.eclipse.emf.ecore.EReference` `getDropPattern_OutPattern()` Returns the meta object for the container reference '`Out Pattern`'.
`org.eclipse.emf.ecore.EClass` `getExpressionStat()` Returns the meta object for class '`Expression Stat`'.
`org.eclipse.emf.ecore.EReference` `getExpressionStat_Expression()` Returns the meta object for the containment reference '`Expression`'.
`org.eclipse.emf.ecore.EClass` `getForEachOutPatternElement()` Returns the meta object for class '`For Each Out Pattern Element`'.
`org.eclipse.emf.ecore.EReference` `getForEachOutPatternElement_Collection()` Returns the meta object for the containment reference '`Collection`'.
`org.eclipse.emf.ecore.EReference` `getForEachOutPatternElement_Iterator()` Returns the meta object for the containment reference '`Iterator`'.
`org.eclipse.emf.ecore.EClass` `getForStat()` Returns the meta object for class '`For Stat`'.
`org.eclipse.emf.ecore.EReference` `getForStat_Collection()` Returns the meta object for the containment reference '`Collection`'.
`org.eclipse.emf.ecore.EReference` `getForStat_Iterator()` Returns the meta object for the containment reference '`Iterator`'.
`org.eclipse.emf.ecore.EReference` `getForStat_Statements()` Returns the meta object for the containment reference list '`Statements`'.
`org.eclipse.emf.ecore.EClass` `getHelper()` Returns the meta object for class '`Helper`'.
`org.eclipse.emf.ecore.EReference` `getHelper_Definition()` Returns the meta object for the containment reference '`Definition`'.
`org.eclipse.emf.ecore.EReference` `getHelper_Library()` Returns the meta object for the container reference '`Library`'.
`org.eclipse.emf.ecore.EReference` `getHelper_Query()` Returns the meta object for the container reference '`Query`'.
`org.eclipse.emf.ecore.EClass` `getIfStat()` Returns the meta object for class '`If Stat`'.
`org.eclipse.emf.ecore.EReference` `getIfStat_Condition()` Returns the meta object for the containment reference '`Condition`'.
`org.eclipse.emf.ecore.EReference` `getIfStat_ElseStatements()` Returns the meta object for the containment reference list '`Else Statements`'.
`org.eclipse.emf.ecore.EReference` `getIfStat_ThenStatements()` Returns the meta object for the containment reference list '`Then Statements`'.
`org.eclipse.emf.ecore.EClass` `getInPattern()` Returns the meta object for class '`In Pattern`'.
`org.eclipse.emf.ecore.EReference` `getInPattern_Elements()` Returns the meta object for the containment reference list '`Elements`'.
`org.eclipse.emf.ecore.EReference` `getInPattern_Filter()` Returns the meta object for the containment reference '`Filter`'.
`org.eclipse.emf.ecore.EReference` `getInPattern_Rule()` Returns the meta object for the container reference '`Rule`'.
`org.eclipse.emf.ecore.EClass` `getInPatternElement()` Returns the meta object for class '`In Pattern Element`'.
`org.eclipse.emf.ecore.EReference` `getInPatternElement_InPattern()` Returns the meta object for the container reference '`In Pattern`'.
`org.eclipse.emf.ecore.EReference` `getInPatternElement_MapsTo()` Returns the meta object for the reference '`Maps To`'.
`org.eclipse.emf.ecore.EReference` `getInPatternElement_Models()` Returns the meta object for the reference list '`Models`'.
`org.eclipse.emf.ecore.EClass` `getLazyMatchedRule()` Returns the meta object for class '`Lazy Matched Rule`'.
`org.eclipse.emf.ecore.EAttribute` `getLazyMatchedRule_IsUnique()` Returns the meta object for the attribute '`Is Unique`'.
`org.eclipse.emf.ecore.EClass` `getLibrary()` Returns the meta object for class '`Library`'.
`org.eclipse.emf.ecore.EReference` `getLibrary_Helpers()` Returns the meta object for the containment reference list '`Helpers`'.
`org.eclipse.emf.ecore.EClass` `getLibraryRef()` Returns the meta object for class '`Library Ref`'.
`org.eclipse.emf.ecore.EAttribute` `getLibraryRef_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` `getLibraryRef_Unit()` Returns the meta object for the container reference '`Unit`'.
`org.eclipse.emf.ecore.EClass` `getLocatedElement()` Returns the meta object for class '`Located Element`'.
`org.eclipse.emf.ecore.EAttribute` `getLocatedElement_CommentsAfter()` Returns the meta object for the attribute list '`Comments After`'.
`org.eclipse.emf.ecore.EAttribute` `getLocatedElement_CommentsBefore()` Returns the meta object for the attribute list '`Comments Before`'.
`org.eclipse.emf.ecore.EAttribute` `getLocatedElement_Location()` Returns the meta object for the attribute '`Location`'.
`org.eclipse.emf.ecore.EClass` `getMatchedRule()` Returns the meta object for class '`Matched Rule`'.
`org.eclipse.emf.ecore.EReference` `getMatchedRule_Children()` Returns the meta object for the reference list '`Children`'.
`org.eclipse.emf.ecore.EReference` `getMatchedRule_InPattern()` Returns the meta object for the containment reference '`In Pattern`'.
`org.eclipse.emf.ecore.EAttribute` `getMatchedRule_IsAbstract()` Returns the meta object for the attribute '`Is Abstract`'.
`org.eclipse.emf.ecore.EAttribute` `getMatchedRule_IsNoDefault()` Returns the meta object for the attribute '`Is No Default`'.
`org.eclipse.emf.ecore.EAttribute` `getMatchedRule_IsRefining()` Returns the meta object for the attribute '`Is Refining`'.
`org.eclipse.emf.ecore.EReference` `getMatchedRule_SuperRule()` Returns the meta object for the reference '`Super Rule`'.
`org.eclipse.emf.ecore.EClass` `getModule()` Returns the meta object for class '`Module`'.
`org.eclipse.emf.ecore.EReference` `getModule_Elements()` Returns the meta object for the containment reference list '`Elements`'.
`org.eclipse.emf.ecore.EReference` `getModule_InModels()` Returns the meta object for the containment reference list '`In Models`'.
`org.eclipse.emf.ecore.EAttribute` `getModule_IsRefining()` Returns the meta object for the attribute '`Is Refining`'.
`org.eclipse.emf.ecore.EReference` `getModule_OutModels()` Returns the meta object for the containment reference list '`Out Models`'.
`org.eclipse.emf.ecore.EClass` `getModuleElement()` Returns the meta object for class '`Module Element`'.
`org.eclipse.emf.ecore.EReference` `getModuleElement_Module()` Returns the meta object for the container reference '`Module`'.
`org.eclipse.emf.ecore.EClass` `getOutPattern()` Returns the meta object for class '`Out Pattern`'.
`org.eclipse.emf.ecore.EReference` `getOutPattern_DropPattern()` Returns the meta object for the containment reference '`Drop Pattern`'.
`org.eclipse.emf.ecore.EReference` `getOutPattern_Elements()` Returns the meta object for the containment reference list '`Elements`'.
`org.eclipse.emf.ecore.EReference` `getOutPattern_Rule()` Returns the meta object for the container reference '`Rule`'.
`org.eclipse.emf.ecore.EClass` `getOutPatternElement()` Returns the meta object for class '`Out Pattern Element`'.
`org.eclipse.emf.ecore.EReference` `getOutPatternElement_Bindings()` Returns the meta object for the containment reference list '`Bindings`'.
`org.eclipse.emf.ecore.EReference` `getOutPatternElement_Model()` Returns the meta object for the reference '`Model`'.
`org.eclipse.emf.ecore.EReference` `getOutPatternElement_OutPattern()` Returns the meta object for the container reference '`Out Pattern`'.
`org.eclipse.emf.ecore.EReference` `getOutPatternElement_SourceElement()` Returns the meta object for the reference '`Source Element`'.
`org.eclipse.emf.ecore.EClass` `getPatternElement()` Returns the meta object for class '`Pattern Element`'.
`org.eclipse.emf.ecore.EClass` `getQuery()` Returns the meta object for class '`Query`'.
`org.eclipse.emf.ecore.EReference` `getQuery_Body()` Returns the meta object for the containment reference '`Body`'.
`org.eclipse.emf.ecore.EReference` `getQuery_Helpers()` Returns the meta object for the containment reference list '`Helpers`'.
`org.eclipse.emf.ecore.EClass` `getRule()` Returns the meta object for class '`Rule`'.
`org.eclipse.emf.ecore.EReference` `getRule_ActionBlock()` Returns the meta object for the containment reference '`Action Block`'.
`org.eclipse.emf.ecore.EAttribute` `getRule_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` `getRule_OutPattern()` Returns the meta object for the containment reference '`Out Pattern`'.
`org.eclipse.emf.ecore.EReference` `getRule_Variables()` Returns the meta object for the containment reference list '`Variables`'.
`org.eclipse.emf.ecore.EClass` `getRuleVariableDeclaration()` Returns the meta object for class '`Rule Variable Declaration`'.
`org.eclipse.emf.ecore.EReference` `getRuleVariableDeclaration_Rule()` Returns the meta object for the container reference '`Rule`'.
`org.eclipse.emf.ecore.EClass` `getSimpleInPatternElement()` Returns the meta object for class '`Simple In Pattern Element`'.
`org.eclipse.emf.ecore.EClass` `getSimpleOutPatternElement()` Returns the meta object for class '`Simple Out Pattern Element`'.
`org.eclipse.emf.ecore.EReference` `getSimpleOutPatternElement_ReverseBindings()` Returns the meta object for the containment reference list '`Reverse Bindings`'.
`org.eclipse.emf.ecore.EClass` `getStatement()` Returns the meta object for class '`Statement`'.
`org.eclipse.emf.ecore.EClass` `getUnit()` Returns the meta object for class '`Unit`'.
`org.eclipse.emf.ecore.EReference` `getUnit_Libraries()` Returns the meta object for the containment reference list '`Libraries`'.
`org.eclipse.emf.ecore.EAttribute` `getUnit_Name()` Returns the meta object for the attribute '`Name`'.
`static ATLPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eNAME

    public static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values

#### eNS_URI

    public static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values

#### eNS_PREFIX

    public static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values

#### eINSTANCE

    public static final ATLPackage eINSTANCE

The singleton instance of the package.

#### LOCATED_ELEMENT

    public static final int LOCATED_ELEMENT

The meta object id for the '`Located Element`' class.

See Also:
  `LocatedElement`, `getLocatedElement()`, Constant Field Values

#### LOCATED_ELEMENT__LOCATION

    public static final int LOCATED_ELEMENT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### LOCATED_ELEMENT__COMMENTS_BEFORE

    public static final int LOCATED_ELEMENT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### LOCATED_ELEMENT__COMMENTS_AFTER

    public static final int LOCATED_ELEMENT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### LOCATED_ELEMENT_FEATURE_COUNT

    public static final int LOCATED_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Located Element' class.

See Also:
  Constant Field Values

#### UNIT

    public static final int UNIT

The meta object id for the '`Unit`' class.

See Also:
  `Unit`, `getUnit()`, Constant Field Values

#### UNIT__LOCATION

    public static final int UNIT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### UNIT__COMMENTS_BEFORE

    public static final int UNIT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### UNIT__COMMENTS_AFTER

    public static final int UNIT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### UNIT__LIBRARIES

    public static final int UNIT__LIBRARIES

The feature id for the 'Libraries' containment reference list.

See Also:
  Constant Field Values

#### UNIT__NAME

    public static final int UNIT__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### UNIT_FEATURE_COUNT

    public static final int UNIT_FEATURE_COUNT

The number of structural features of the 'Unit' class.

See Also:
  Constant Field Values

#### LIBRARY

    public static final int LIBRARY

The meta object id for the '`Library`' class.

See Also:
  `Library`, `getLibrary()`, Constant Field Values

#### LIBRARY__LOCATION

    public static final int LIBRARY__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### LIBRARY__COMMENTS_BEFORE

    public static final int LIBRARY__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### LIBRARY__COMMENTS_AFTER

    public static final int LIBRARY__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### LIBRARY__LIBRARIES

    public static final int LIBRARY__LIBRARIES

The feature id for the 'Libraries' containment reference list.

See Also:
  Constant Field Values

#### LIBRARY__NAME

    public static final int LIBRARY__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### LIBRARY__HELPERS

    public static final int LIBRARY__HELPERS

The feature id for the 'Helpers' containment reference list.

See Also:
  Constant Field Values

#### LIBRARY_FEATURE_COUNT

    public static final int LIBRARY_FEATURE_COUNT

The number of structural features of the 'Library' class.

See Also:
  Constant Field Values

#### QUERY

    public static final int QUERY

The meta object id for the '`Query`' class.

See Also:
  `Query`, `getQuery()`, Constant Field Values

#### QUERY__LOCATION

    public static final int QUERY__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### QUERY__COMMENTS_BEFORE

    public static final int QUERY__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### QUERY__COMMENTS_AFTER

    public static final int QUERY__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### QUERY__LIBRARIES

    public static final int QUERY__LIBRARIES

The feature id for the 'Libraries' containment reference list.

See Also:
  Constant Field Values

#### QUERY__NAME

    public static final int QUERY__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### QUERY__BODY

    public static final int QUERY__BODY

The feature id for the 'Body' containment reference.

See Also:
  Constant Field Values

#### QUERY__HELPERS

    public static final int QUERY__HELPERS

The feature id for the 'Helpers' containment reference list.

See Also:
  Constant Field Values

#### QUERY_FEATURE_COUNT

    public static final int QUERY_FEATURE_COUNT

The number of structural features of the 'Query' class.

See Also:
  Constant Field Values

#### MODULE

    public static final int MODULE

The meta object id for the '`Module`' class.

See Also:
  `Module`, `getModule()`, Constant Field Values

#### MODULE__LOCATION

    public static final int MODULE__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### MODULE__COMMENTS_BEFORE

    public static final int MODULE__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### MODULE__COMMENTS_AFTER

    public static final int MODULE__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### MODULE__LIBRARIES

    public static final int MODULE__LIBRARIES

The feature id for the 'Libraries' containment reference list.

See Also:
  Constant Field Values

#### MODULE__NAME

    public static final int MODULE__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### MODULE__IS_REFINING

    public static final int MODULE__IS_REFINING

The feature id for the 'Is Refining' attribute.

See Also:
  Constant Field Values

#### MODULE__IN_MODELS

    public static final int MODULE__IN_MODELS

The feature id for the 'In Models' containment reference list.

See Also:
  Constant Field Values

#### MODULE__OUT_MODELS

    public static final int MODULE__OUT_MODELS

The feature id for the 'Out Models' containment reference list.

See Also:
  Constant Field Values

#### MODULE__ELEMENTS

    public static final int MODULE__ELEMENTS

The feature id for the 'Elements' containment reference list.

See Also:
  Constant Field Values

#### MODULE_FEATURE_COUNT

    public static final int MODULE_FEATURE_COUNT

The number of structural features of the 'Module' class.

See Also:
  Constant Field Values

#### MODULE_ELEMENT

    public static final int MODULE_ELEMENT

The meta object id for the '`Module Element`' class.

See Also:
  `ModuleElement`, `getModuleElement()`, Constant Field Values

#### MODULE_ELEMENT__LOCATION

    public static final int MODULE_ELEMENT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### MODULE_ELEMENT__COMMENTS_BEFORE

    public static final int MODULE_ELEMENT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### MODULE_ELEMENT__COMMENTS_AFTER

    public static final int MODULE_ELEMENT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### MODULE_ELEMENT__MODULE

    public static final int MODULE_ELEMENT__MODULE

The feature id for the 'Module' container reference.

See Also:
  Constant Field Values

#### MODULE_ELEMENT_FEATURE_COUNT

    public static final int MODULE_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Module Element' class.

See Also:
  Constant Field Values

#### HELPER

    public static final int HELPER

The meta object id for the '`Helper`' class.

See Also:
  `Helper`, `getHelper()`, Constant Field Values

#### HELPER__LOCATION

    public static final int HELPER__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### HELPER__COMMENTS_BEFORE

    public static final int HELPER__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### HELPER__COMMENTS_AFTER

    public static final int HELPER__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### HELPER__MODULE

    public static final int HELPER__MODULE

The feature id for the 'Module' container reference.

See Also:
  Constant Field Values

#### HELPER__QUERY

    public static final int HELPER__QUERY

The feature id for the 'Query' container reference.

See Also:
  Constant Field Values

#### HELPER__LIBRARY

    public static final int HELPER__LIBRARY

The feature id for the 'Library' container reference.

See Also:
  Constant Field Values

#### HELPER__DEFINITION

    public static final int HELPER__DEFINITION

The feature id for the 'Definition' containment reference.

See Also:
  Constant Field Values

#### HELPER_FEATURE_COUNT

    public static final int HELPER_FEATURE_COUNT

The number of structural features of the 'Helper' class.

See Also:
  Constant Field Values

#### RULE

    public static final int RULE

The meta object id for the '`Rule`' class.

See Also:
  `Rule`, `getRule()`, Constant Field Values

#### RULE__LOCATION

    public static final int RULE__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### RULE__COMMENTS_BEFORE

    public static final int RULE__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### RULE__COMMENTS_AFTER

    public static final int RULE__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### RULE__MODULE

    public static final int RULE__MODULE

The feature id for the 'Module' container reference.

See Also:
  Constant Field Values

#### RULE__OUT_PATTERN

    public static final int RULE__OUT_PATTERN

The feature id for the 'Out Pattern' containment reference.

See Also:
  Constant Field Values

#### RULE__ACTION_BLOCK

    public static final int RULE__ACTION_BLOCK

The feature id for the 'Action Block' containment reference.

See Also:
  Constant Field Values

#### RULE__VARIABLES

    public static final int RULE__VARIABLES

The feature id for the 'Variables' containment reference list.

See Also:
  Constant Field Values

#### RULE__NAME

    public static final int RULE__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### RULE_FEATURE_COUNT

    public static final int RULE_FEATURE_COUNT

The number of structural features of the 'Rule' class.

See Also:
  Constant Field Values

#### MATCHED_RULE

    public static final int MATCHED_RULE

The meta object id for the '`Matched Rule`' class.

See Also:
  `MatchedRule`, `getMatchedRule()`, Constant Field Values

#### MATCHED_RULE__LOCATION

    public static final int MATCHED_RULE__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### MATCHED_RULE__COMMENTS_BEFORE

    public static final int MATCHED_RULE__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### MATCHED_RULE__COMMENTS_AFTER

    public static final int MATCHED_RULE__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### MATCHED_RULE__MODULE

    public static final int MATCHED_RULE__MODULE

The feature id for the 'Module' container reference.

See Also:
  Constant Field Values

#### MATCHED_RULE__OUT_PATTERN

    public static final int MATCHED_RULE__OUT_PATTERN

The feature id for the 'Out Pattern' containment reference.

See Also:
  Constant Field Values

#### MATCHED_RULE__ACTION_BLOCK

    public static final int MATCHED_RULE__ACTION_BLOCK

The feature id for the 'Action Block' containment reference.

See Also:
  Constant Field Values

#### MATCHED_RULE__VARIABLES

    public static final int MATCHED_RULE__VARIABLES

The feature id for the 'Variables' containment reference list.

See Also:
  Constant Field Values

#### MATCHED_RULE__NAME

    public static final int MATCHED_RULE__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### MATCHED_RULE__IN_PATTERN

    public static final int MATCHED_RULE__IN_PATTERN

The feature id for the 'In Pattern' containment reference.

See Also:
  Constant Field Values

#### MATCHED_RULE__CHILDREN

    public static final int MATCHED_RULE__CHILDREN

The feature id for the 'Children' reference list.

See Also:
  Constant Field Values

#### MATCHED_RULE__SUPER_RULE

    public static final int MATCHED_RULE__SUPER_RULE

The feature id for the 'Super Rule' reference.

See Also:
  Constant Field Values

#### MATCHED_RULE__IS_ABSTRACT

    public static final int MATCHED_RULE__IS_ABSTRACT

The feature id for the 'Is Abstract' attribute.

See Also:
  Constant Field Values

#### MATCHED_RULE__IS_REFINING

    public static final int MATCHED_RULE__IS_REFINING

The feature id for the 'Is Refining' attribute.

See Also:
  Constant Field Values

#### MATCHED_RULE__IS_NO_DEFAULT

    public static final int MATCHED_RULE__IS_NO_DEFAULT

The feature id for the 'Is No Default' attribute.

See Also:
  Constant Field Values

#### MATCHED_RULE_FEATURE_COUNT

    public static final int MATCHED_RULE_FEATURE_COUNT

The number of structural features of the 'Matched Rule' class.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE

    public static final int LAZY_MATCHED_RULE

The meta object id for the '`Lazy Matched Rule`' class.

See Also:
  `LazyMatchedRule`, `getLazyMatchedRule()`, Constant Field Values

#### LAZY_MATCHED_RULE__LOCATION

    public static final int LAZY_MATCHED_RULE__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__COMMENTS_BEFORE

    public static final int LAZY_MATCHED_RULE__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__COMMENTS_AFTER

    public static final int LAZY_MATCHED_RULE__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__MODULE

    public static final int LAZY_MATCHED_RULE__MODULE

The feature id for the 'Module' container reference.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__OUT_PATTERN

    public static final int LAZY_MATCHED_RULE__OUT_PATTERN

The feature id for the 'Out Pattern' containment reference.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__ACTION_BLOCK

    public static final int LAZY_MATCHED_RULE__ACTION_BLOCK

The feature id for the 'Action Block' containment reference.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__VARIABLES

    public static final int LAZY_MATCHED_RULE__VARIABLES

The feature id for the 'Variables' containment reference list.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__NAME

    public static final int LAZY_MATCHED_RULE__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__IN_PATTERN

    public static final int LAZY_MATCHED_RULE__IN_PATTERN

The feature id for the 'In Pattern' containment reference.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__CHILDREN

    public static final int LAZY_MATCHED_RULE__CHILDREN

The feature id for the 'Children' reference list.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__SUPER_RULE

    public static final int LAZY_MATCHED_RULE__SUPER_RULE

The feature id for the 'Super Rule' reference.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__IS_ABSTRACT

    public static final int LAZY_MATCHED_RULE__IS_ABSTRACT

The feature id for the 'Is Abstract' attribute.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__IS_REFINING

    public static final int LAZY_MATCHED_RULE__IS_REFINING

The feature id for the 'Is Refining' attribute.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__IS_NO_DEFAULT

    public static final int LAZY_MATCHED_RULE__IS_NO_DEFAULT

The feature id for the 'Is No Default' attribute.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE__IS_UNIQUE

    public static final int LAZY_MATCHED_RULE__IS_UNIQUE

The feature id for the 'Is Unique' attribute.

See Also:
  Constant Field Values

#### LAZY_MATCHED_RULE_FEATURE_COUNT

    public static final int LAZY_MATCHED_RULE_FEATURE_COUNT

The number of structural features of the 'Lazy Matched Rule' class.

See Also:
  Constant Field Values

#### CALLED_RULE

    public static final int CALLED_RULE

The meta object id for the '`Called Rule`' class.

See Also:
  `CalledRule`, `getCalledRule()`, Constant Field Values

#### CALLED_RULE__LOCATION

    public static final int CALLED_RULE__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### CALLED_RULE__COMMENTS_BEFORE

    public static final int CALLED_RULE__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### CALLED_RULE__COMMENTS_AFTER

    public static final int CALLED_RULE__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### CALLED_RULE__MODULE

    public static final int CALLED_RULE__MODULE

The feature id for the 'Module' container reference.

See Also:
  Constant Field Values

#### CALLED_RULE__OUT_PATTERN

    public static final int CALLED_RULE__OUT_PATTERN

The feature id for the 'Out Pattern' containment reference.

See Also:
  Constant Field Values

#### CALLED_RULE__ACTION_BLOCK

    public static final int CALLED_RULE__ACTION_BLOCK

The feature id for the 'Action Block' containment reference.

See Also:
  Constant Field Values

#### CALLED_RULE__VARIABLES

    public static final int CALLED_RULE__VARIABLES

The feature id for the 'Variables' containment reference list.

See Also:
  Constant Field Values

#### CALLED_RULE__NAME

    public static final int CALLED_RULE__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### CALLED_RULE__PARAMETERS

    public static final int CALLED_RULE__PARAMETERS

The feature id for the 'Parameters' containment reference list.

See Also:
  Constant Field Values

#### CALLED_RULE__IS_ENTRYPOINT

    public static final int CALLED_RULE__IS_ENTRYPOINT

The feature id for the 'Is Entrypoint' attribute.

See Also:
  Constant Field Values

#### CALLED_RULE__IS_ENDPOINT

    public static final int CALLED_RULE__IS_ENDPOINT

The feature id for the 'Is Endpoint' attribute.

See Also:
  Constant Field Values

#### CALLED_RULE_FEATURE_COUNT

    public static final int CALLED_RULE_FEATURE_COUNT

The number of structural features of the 'Called Rule' class.

See Also:
  Constant Field Values

#### IN_PATTERN

    public static final int IN_PATTERN

The meta object id for the '`In Pattern`' class.

See Also:
  `InPattern`, `getInPattern()`, Constant Field Values

#### IN_PATTERN__LOCATION

    public static final int IN_PATTERN__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### IN_PATTERN__COMMENTS_BEFORE

    public static final int IN_PATTERN__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### IN_PATTERN__COMMENTS_AFTER

    public static final int IN_PATTERN__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### IN_PATTERN__ELEMENTS

    public static final int IN_PATTERN__ELEMENTS

The feature id for the 'Elements' containment reference list.

See Also:
  Constant Field Values

#### IN_PATTERN__RULE

    public static final int IN_PATTERN__RULE

The feature id for the 'Rule' container reference.

See Also:
  Constant Field Values

#### IN_PATTERN__FILTER

    public static final int IN_PATTERN__FILTER

The feature id for the 'Filter' containment reference.

See Also:
  Constant Field Values

#### IN_PATTERN_FEATURE_COUNT

    public static final int IN_PATTERN_FEATURE_COUNT

The number of structural features of the 'In Pattern' class.

See Also:
  Constant Field Values

#### OUT_PATTERN

    public static final int OUT_PATTERN

The meta object id for the '`Out Pattern`' class.

See Also:
  `OutPattern`, `getOutPattern()`, Constant Field Values

#### OUT_PATTERN__LOCATION

    public static final int OUT_PATTERN__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### OUT_PATTERN__COMMENTS_BEFORE

    public static final int OUT_PATTERN__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### OUT_PATTERN__COMMENTS_AFTER

    public static final int OUT_PATTERN__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### OUT_PATTERN__RULE

    public static final int OUT_PATTERN__RULE

The feature id for the 'Rule' container reference.

See Also:
  Constant Field Values

#### OUT_PATTERN__DROP_PATTERN

    public static final int OUT_PATTERN__DROP_PATTERN

The feature id for the 'Drop Pattern' containment reference.

See Also:
  Constant Field Values

#### OUT_PATTERN__ELEMENTS

    public static final int OUT_PATTERN__ELEMENTS

The feature id for the 'Elements' containment reference list.

See Also:
  Constant Field Values

#### OUT_PATTERN_FEATURE_COUNT

    public static final int OUT_PATTERN_FEATURE_COUNT

The number of structural features of the 'Out Pattern' class.

See Also:
  Constant Field Values

#### DROP_PATTERN

    public static final int DROP_PATTERN

The meta object id for the '`Drop Pattern`' class.

See Also:
  `DropPattern`, `getDropPattern()`, Constant Field Values

#### DROP_PATTERN__LOCATION

    public static final int DROP_PATTERN__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### DROP_PATTERN__COMMENTS_BEFORE

    public static final int DROP_PATTERN__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### DROP_PATTERN__COMMENTS_AFTER

    public static final int DROP_PATTERN__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### DROP_PATTERN__OUT_PATTERN

    public static final int DROP_PATTERN__OUT_PATTERN

The feature id for the 'Out Pattern' container reference.

See Also:
  Constant Field Values

#### DROP_PATTERN_FEATURE_COUNT

    public static final int DROP_PATTERN_FEATURE_COUNT

The number of structural features of the 'Drop Pattern' class.

See Also:
  Constant Field Values

#### PATTERN_ELEMENT

    public static final int PATTERN_ELEMENT

The meta object id for the '`Pattern Element`' class.

See Also:
  `PatternElement`, `getPatternElement()`, Constant Field Values

#### PATTERN_ELEMENT__LOCATION

    public static final int PATTERN_ELEMENT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### PATTERN_ELEMENT__COMMENTS_BEFORE

    public static final int PATTERN_ELEMENT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### PATTERN_ELEMENT__COMMENTS_AFTER

    public static final int PATTERN_ELEMENT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### PATTERN_ELEMENT__ID

    public static final int PATTERN_ELEMENT__ID

The feature id for the 'Id' attribute.

See Also:
  Constant Field Values

#### PATTERN_ELEMENT__VAR_NAME

    public static final int PATTERN_ELEMENT__VAR_NAME

The feature id for the 'Var Name' attribute.

See Also:
  Constant Field Values

#### PATTERN_ELEMENT__TYPE

    public static final int PATTERN_ELEMENT__TYPE

The feature id for the 'Type' containment reference.

See Also:
  Constant Field Values

#### PATTERN_ELEMENT__INIT_EXPRESSION

    public static final int PATTERN_ELEMENT__INIT_EXPRESSION

The feature id for the 'Init Expression' containment reference.

See Also:
  Constant Field Values

#### PATTERN_ELEMENT__LET_EXP

    public static final int PATTERN_ELEMENT__LET_EXP

The feature id for the 'Let Exp' container reference.

See Also:
  Constant Field Values

#### PATTERN_ELEMENT__BASE_EXP

    public static final int PATTERN_ELEMENT__BASE_EXP

The feature id for the 'Base Exp' container reference.

See Also:
  Constant Field Values

#### PATTERN_ELEMENT__VARIABLE_EXP

    public static final int PATTERN_ELEMENT__VARIABLE_EXP

The feature id for the 'Variable Exp' reference list.

See Also:
  Constant Field Values

#### PATTERN_ELEMENT_FEATURE_COUNT

    public static final int PATTERN_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Pattern Element' class.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT

    public static final int IN_PATTERN_ELEMENT

The meta object id for the '`In Pattern Element`' class.

See Also:
  `InPatternElement`, `getInPatternElement()`, Constant Field Values

#### IN_PATTERN_ELEMENT__LOCATION

    public static final int IN_PATTERN_ELEMENT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT__COMMENTS_BEFORE

    public static final int IN_PATTERN_ELEMENT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT__COMMENTS_AFTER

    public static final int IN_PATTERN_ELEMENT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT__ID

    public static final int IN_PATTERN_ELEMENT__ID

The feature id for the 'Id' attribute.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT__VAR_NAME

    public static final int IN_PATTERN_ELEMENT__VAR_NAME

The feature id for the 'Var Name' attribute.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT__TYPE

    public static final int IN_PATTERN_ELEMENT__TYPE

The feature id for the 'Type' containment reference.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT__INIT_EXPRESSION

    public static final int IN_PATTERN_ELEMENT__INIT_EXPRESSION

The feature id for the 'Init Expression' containment reference.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT__LET_EXP

    public static final int IN_PATTERN_ELEMENT__LET_EXP

The feature id for the 'Let Exp' container reference.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT__BASE_EXP

    public static final int IN_PATTERN_ELEMENT__BASE_EXP

The feature id for the 'Base Exp' container reference.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT__VARIABLE_EXP

    public static final int IN_PATTERN_ELEMENT__VARIABLE_EXP

The feature id for the 'Variable Exp' reference list.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT__MAPS_TO

    public static final int IN_PATTERN_ELEMENT__MAPS_TO

The feature id for the 'Maps To' reference.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT__IN_PATTERN

    public static final int IN_PATTERN_ELEMENT__IN_PATTERN

The feature id for the 'In Pattern' container reference.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT__MODELS

    public static final int IN_PATTERN_ELEMENT__MODELS

The feature id for the 'Models' reference list.

See Also:
  Constant Field Values

#### IN_PATTERN_ELEMENT_FEATURE_COUNT

    public static final int IN_PATTERN_ELEMENT_FEATURE_COUNT

The number of structural features of the 'In Pattern Element' class.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT

    public static final int SIMPLE_IN_PATTERN_ELEMENT

The meta object id for the '`Simple In Pattern Element`' class.

See Also:
  `SimpleInPatternElement`, `getSimpleInPatternElement()`, Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__LOCATION

    public static final int SIMPLE_IN_PATTERN_ELEMENT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__COMMENTS_BEFORE

    public static final int SIMPLE_IN_PATTERN_ELEMENT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__COMMENTS_AFTER

    public static final int SIMPLE_IN_PATTERN_ELEMENT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__ID

    public static final int SIMPLE_IN_PATTERN_ELEMENT__ID

The feature id for the 'Id' attribute.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__VAR_NAME

    public static final int SIMPLE_IN_PATTERN_ELEMENT__VAR_NAME

The feature id for the 'Var Name' attribute.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__TYPE

    public static final int SIMPLE_IN_PATTERN_ELEMENT__TYPE

The feature id for the 'Type' containment reference.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__INIT_EXPRESSION

    public static final int SIMPLE_IN_PATTERN_ELEMENT__INIT_EXPRESSION

The feature id for the 'Init Expression' containment reference.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__LET_EXP

    public static final int SIMPLE_IN_PATTERN_ELEMENT__LET_EXP

The feature id for the 'Let Exp' container reference.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__BASE_EXP

    public static final int SIMPLE_IN_PATTERN_ELEMENT__BASE_EXP

The feature id for the 'Base Exp' container reference.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__VARIABLE_EXP

    public static final int SIMPLE_IN_PATTERN_ELEMENT__VARIABLE_EXP

The feature id for the 'Variable Exp' reference list.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__MAPS_TO

    public static final int SIMPLE_IN_PATTERN_ELEMENT__MAPS_TO

The feature id for the 'Maps To' reference.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__IN_PATTERN

    public static final int SIMPLE_IN_PATTERN_ELEMENT__IN_PATTERN

The feature id for the 'In Pattern' container reference.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT__MODELS

    public static final int SIMPLE_IN_PATTERN_ELEMENT__MODELS

The feature id for the 'Models' reference list.

See Also:
  Constant Field Values

#### SIMPLE_IN_PATTERN_ELEMENT_FEATURE_COUNT

    public static final int SIMPLE_IN_PATTERN_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Simple In Pattern Element' class.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT

    public static final int OUT_PATTERN_ELEMENT

The meta object id for the '`Out Pattern Element`' class.

See Also:
  `OutPatternElement`, `getOutPatternElement()`, Constant Field Values

#### OUT_PATTERN_ELEMENT__LOCATION

    public static final int OUT_PATTERN_ELEMENT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__COMMENTS_BEFORE

    public static final int OUT_PATTERN_ELEMENT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__COMMENTS_AFTER

    public static final int OUT_PATTERN_ELEMENT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__ID

    public static final int OUT_PATTERN_ELEMENT__ID

The feature id for the 'Id' attribute.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__VAR_NAME

    public static final int OUT_PATTERN_ELEMENT__VAR_NAME

The feature id for the 'Var Name' attribute.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__TYPE

    public static final int OUT_PATTERN_ELEMENT__TYPE

The feature id for the 'Type' containment reference.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__INIT_EXPRESSION

    public static final int OUT_PATTERN_ELEMENT__INIT_EXPRESSION

The feature id for the 'Init Expression' containment reference.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__LET_EXP

    public static final int OUT_PATTERN_ELEMENT__LET_EXP

The feature id for the 'Let Exp' container reference.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__BASE_EXP

    public static final int OUT_PATTERN_ELEMENT__BASE_EXP

The feature id for the 'Base Exp' container reference.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__VARIABLE_EXP

    public static final int OUT_PATTERN_ELEMENT__VARIABLE_EXP

The feature id for the 'Variable Exp' reference list.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__OUT_PATTERN

    public static final int OUT_PATTERN_ELEMENT__OUT_PATTERN

The feature id for the 'Out Pattern' container reference.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__SOURCE_ELEMENT

    public static final int OUT_PATTERN_ELEMENT__SOURCE_ELEMENT

The feature id for the 'Source Element' reference.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__BINDINGS

    public static final int OUT_PATTERN_ELEMENT__BINDINGS

The feature id for the 'Bindings' containment reference list.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT__MODEL

    public static final int OUT_PATTERN_ELEMENT__MODEL

The feature id for the 'Model' reference.

See Also:
  Constant Field Values

#### OUT_PATTERN_ELEMENT_FEATURE_COUNT

    public static final int OUT_PATTERN_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Out Pattern Element' class.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT

    public static final int SIMPLE_OUT_PATTERN_ELEMENT

The meta object id for the '`Simple Out Pattern Element`' class.

See Also:
  `SimpleOutPatternElement`, `getSimpleOutPatternElement()`, Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__LOCATION

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__COMMENTS_BEFORE

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__COMMENTS_AFTER

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__ID

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__ID

The feature id for the 'Id' attribute.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__VAR_NAME

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__VAR_NAME

The feature id for the 'Var Name' attribute.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__TYPE

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__TYPE

The feature id for the 'Type' containment reference.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__INIT_EXPRESSION

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__INIT_EXPRESSION

The feature id for the 'Init Expression' containment reference.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__LET_EXP

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__LET_EXP

The feature id for the 'Let Exp' container reference.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__BASE_EXP

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__BASE_EXP

The feature id for the 'Base Exp' container reference.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__VARIABLE_EXP

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__VARIABLE_EXP

The feature id for the 'Variable Exp' reference list.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__OUT_PATTERN

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__OUT_PATTERN

The feature id for the 'Out Pattern' container reference.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__SOURCE_ELEMENT

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__SOURCE_ELEMENT

The feature id for the 'Source Element' reference.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__BINDINGS

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__BINDINGS

The feature id for the 'Bindings' containment reference list.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__MODEL

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__MODEL

The feature id for the 'Model' reference.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT__REVERSE_BINDINGS

    public static final int SIMPLE_OUT_PATTERN_ELEMENT__REVERSE_BINDINGS

The feature id for the 'Reverse Bindings' containment reference list.

See Also:
  Constant Field Values

#### SIMPLE_OUT_PATTERN_ELEMENT_FEATURE_COUNT

    public static final int SIMPLE_OUT_PATTERN_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Simple Out Pattern Element' class.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT

The meta object id for the '`For Each Out Pattern Element`' class.

See Also:
  `ForEachOutPatternElement`, `getForEachOutPatternElement()`, Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__LOCATION

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__COMMENTS_BEFORE

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__COMMENTS_AFTER

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__ID

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__ID

The feature id for the 'Id' attribute.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__VAR_NAME

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__VAR_NAME

The feature id for the 'Var Name' attribute.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__TYPE

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__TYPE

The feature id for the 'Type' containment reference.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__INIT_EXPRESSION

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__INIT_EXPRESSION

The feature id for the 'Init Expression' containment reference.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__LET_EXP

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__LET_EXP

The feature id for the 'Let Exp' container reference.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__BASE_EXP

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__BASE_EXP

The feature id for the 'Base Exp' container reference.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__VARIABLE_EXP

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__VARIABLE_EXP

The feature id for the 'Variable Exp' reference list.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__OUT_PATTERN

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__OUT_PATTERN

The feature id for the 'Out Pattern' container reference.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__SOURCE_ELEMENT

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__SOURCE_ELEMENT

The feature id for the 'Source Element' reference.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__BINDINGS

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__BINDINGS

The feature id for the 'Bindings' containment reference list.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__MODEL

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__MODEL

The feature id for the 'Model' reference.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__COLLECTION

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__COLLECTION

The feature id for the 'Collection' containment reference.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT__ITERATOR

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT__ITERATOR

The feature id for the 'Iterator' containment reference.

See Also:
  Constant Field Values

#### FOR_EACH_OUT_PATTERN_ELEMENT_FEATURE_COUNT

    public static final int FOR_EACH_OUT_PATTERN_ELEMENT_FEATURE_COUNT

The number of structural features of the 'For Each Out Pattern Element' class.

See Also:
  Constant Field Values

#### BINDING

    public static final int BINDING

The meta object id for the '`Binding`' class.

See Also:
  `Binding`, `getBinding()`, Constant Field Values

#### BINDING__LOCATION

    public static final int BINDING__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### BINDING__COMMENTS_BEFORE

    public static final int BINDING__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### BINDING__COMMENTS_AFTER

    public static final int BINDING__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### BINDING__VALUE

    public static final int BINDING__VALUE

The feature id for the 'Value' containment reference.

See Also:
  Constant Field Values

#### BINDING__OUT_PATTERN_ELEMENT

    public static final int BINDING__OUT_PATTERN_ELEMENT

The feature id for the 'Out Pattern Element' container reference.

See Also:
  Constant Field Values

#### BINDING__PROPERTY_NAME

    public static final int BINDING__PROPERTY_NAME

The feature id for the 'Property Name' attribute.

See Also:
  Constant Field Values

#### BINDING__IS_ASSIGNMENT

    public static final int BINDING__IS_ASSIGNMENT

The feature id for the 'Is Assignment' attribute.

See Also:
  Constant Field Values

#### BINDING_FEATURE_COUNT

    public static final int BINDING_FEATURE_COUNT

The number of structural features of the 'Binding' class.

See Also:
  Constant Field Values

#### RULE_VARIABLE_DECLARATION

    public static final int RULE_VARIABLE_DECLARATION

The meta object id for the '`Rule Variable Declaration`' class.

See Also:
  `RuleVariableDeclaration`, `getRuleVariableDeclaration()`, Constant Field Values

#### RULE_VARIABLE_DECLARATION__LOCATION

    public static final int RULE_VARIABLE_DECLARATION__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### RULE_VARIABLE_DECLARATION__COMMENTS_BEFORE

    public static final int RULE_VARIABLE_DECLARATION__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### RULE_VARIABLE_DECLARATION__COMMENTS_AFTER

    public static final int RULE_VARIABLE_DECLARATION__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### RULE_VARIABLE_DECLARATION__ID

    public static final int RULE_VARIABLE_DECLARATION__ID

The feature id for the 'Id' attribute.

See Also:
  Constant Field Values

#### RULE_VARIABLE_DECLARATION__VAR_NAME

    public static final int RULE_VARIABLE_DECLARATION__VAR_NAME

The feature id for the 'Var Name' attribute.

See Also:
  Constant Field Values

#### RULE_VARIABLE_DECLARATION__TYPE

    public static final int RULE_VARIABLE_DECLARATION__TYPE

The feature id for the 'Type' containment reference.

See Also:
  Constant Field Values

#### RULE_VARIABLE_DECLARATION__INIT_EXPRESSION

    public static final int RULE_VARIABLE_DECLARATION__INIT_EXPRESSION

The feature id for the 'Init Expression' containment reference.

See Also:
  Constant Field Values

#### RULE_VARIABLE_DECLARATION__LET_EXP

    public static final int RULE_VARIABLE_DECLARATION__LET_EXP

The feature id for the 'Let Exp' container reference.

See Also:
  Constant Field Values

#### RULE_VARIABLE_DECLARATION__BASE_EXP

    public static final int RULE_VARIABLE_DECLARATION__BASE_EXP

The feature id for the 'Base Exp' container reference.

See Also:
  Constant Field Values

#### RULE_VARIABLE_DECLARATION__VARIABLE_EXP

    public static final int RULE_VARIABLE_DECLARATION__VARIABLE_EXP

The feature id for the 'Variable Exp' reference list.

See Also:
  Constant Field Values

#### RULE_VARIABLE_DECLARATION__RULE

    public static final int RULE_VARIABLE_DECLARATION__RULE

The feature id for the 'Rule' container reference.

See Also:
  Constant Field Values

#### RULE_VARIABLE_DECLARATION_FEATURE_COUNT

    public static final int RULE_VARIABLE_DECLARATION_FEATURE_COUNT

The number of structural features of the 'Rule Variable Declaration' class.

See Also:
  Constant Field Values

#### LIBRARY_REF

    public static final int LIBRARY_REF

The meta object id for the '`Library Ref`' class.

See Also:
  `LibraryRef`, `getLibraryRef()`, Constant Field Values

#### LIBRARY_REF__LOCATION

    public static final int LIBRARY_REF__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### LIBRARY_REF__COMMENTS_BEFORE

    public static final int LIBRARY_REF__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### LIBRARY_REF__COMMENTS_AFTER

    public static final int LIBRARY_REF__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### LIBRARY_REF__UNIT

    public static final int LIBRARY_REF__UNIT

The feature id for the 'Unit' container reference.

See Also:
  Constant Field Values

#### LIBRARY_REF__NAME

    public static final int LIBRARY_REF__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### LIBRARY_REF_FEATURE_COUNT

    public static final int LIBRARY_REF_FEATURE_COUNT

The number of structural features of the 'Library Ref' class.

See Also:
  Constant Field Values

#### ACTION_BLOCK

    public static final int ACTION_BLOCK

The meta object id for the '`Action Block`' class.

See Also:
  `ActionBlock`, `getActionBlock()`, Constant Field Values

#### ACTION_BLOCK__LOCATION

    public static final int ACTION_BLOCK__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### ACTION_BLOCK__COMMENTS_BEFORE

    public static final int ACTION_BLOCK__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### ACTION_BLOCK__COMMENTS_AFTER

    public static final int ACTION_BLOCK__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### ACTION_BLOCK__RULE

    public static final int ACTION_BLOCK__RULE

The feature id for the 'Rule' container reference.

See Also:
  Constant Field Values

#### ACTION_BLOCK__STATEMENTS

    public static final int ACTION_BLOCK__STATEMENTS

The feature id for the 'Statements' containment reference list.

See Also:
  Constant Field Values

#### ACTION_BLOCK_FEATURE_COUNT

    public static final int ACTION_BLOCK_FEATURE_COUNT

The number of structural features of the 'Action Block' class.

See Also:
  Constant Field Values

#### STATEMENT

    public static final int STATEMENT

The meta object id for the '`Statement`' class.

See Also:
  `Statement`, `getStatement()`, Constant Field Values

#### STATEMENT__LOCATION

    public static final int STATEMENT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### STATEMENT__COMMENTS_BEFORE

    public static final int STATEMENT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### STATEMENT__COMMENTS_AFTER

    public static final int STATEMENT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### STATEMENT_FEATURE_COUNT

    public static final int STATEMENT_FEATURE_COUNT

The number of structural features of the 'Statement' class.

See Also:
  Constant Field Values

#### EXPRESSION_STAT

    public static final int EXPRESSION_STAT

The meta object id for the '`Expression Stat`' class.

See Also:
  `ExpressionStat`, `getExpressionStat()`, Constant Field Values

#### EXPRESSION_STAT__LOCATION

    public static final int EXPRESSION_STAT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### EXPRESSION_STAT__COMMENTS_BEFORE

    public static final int EXPRESSION_STAT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### EXPRESSION_STAT__COMMENTS_AFTER

    public static final int EXPRESSION_STAT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### EXPRESSION_STAT__EXPRESSION

    public static final int EXPRESSION_STAT__EXPRESSION

The feature id for the 'Expression' containment reference.

See Also:
  Constant Field Values

#### EXPRESSION_STAT_FEATURE_COUNT

    public static final int EXPRESSION_STAT_FEATURE_COUNT

The number of structural features of the 'Expression Stat' class.

See Also:
  Constant Field Values

#### BINDING_STAT

    public static final int BINDING_STAT

The meta object id for the '`Binding Stat`' class.

See Also:
  `BindingStat`, `getBindingStat()`, Constant Field Values

#### BINDING_STAT__LOCATION

    public static final int BINDING_STAT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### BINDING_STAT__COMMENTS_BEFORE

    public static final int BINDING_STAT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### BINDING_STAT__COMMENTS_AFTER

    public static final int BINDING_STAT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### BINDING_STAT__SOURCE

    public static final int BINDING_STAT__SOURCE

The feature id for the 'Source' containment reference.

See Also:
  Constant Field Values

#### BINDING_STAT__PROPERTY_NAME

    public static final int BINDING_STAT__PROPERTY_NAME

The feature id for the 'Property Name' attribute.

See Also:
  Constant Field Values

#### BINDING_STAT__IS_ASSIGNMENT

    public static final int BINDING_STAT__IS_ASSIGNMENT

The feature id for the 'Is Assignment' attribute.

See Also:
  Constant Field Values

#### BINDING_STAT__VALUE

    public static final int BINDING_STAT__VALUE

The feature id for the 'Value' containment reference.

See Also:
  Constant Field Values

#### BINDING_STAT_FEATURE_COUNT

    public static final int BINDING_STAT_FEATURE_COUNT

The number of structural features of the 'Binding Stat' class.

See Also:
  Constant Field Values

#### IF_STAT

    public static final int IF_STAT

The meta object id for the '`If Stat`' class.

See Also:
  `IfStat`, `getIfStat()`, Constant Field Values

#### IF_STAT__LOCATION

    public static final int IF_STAT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### IF_STAT__COMMENTS_BEFORE

    public static final int IF_STAT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### IF_STAT__COMMENTS_AFTER

    public static final int IF_STAT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### IF_STAT__CONDITION

    public static final int IF_STAT__CONDITION

The feature id for the 'Condition' containment reference.

See Also:
  Constant Field Values

#### IF_STAT__THEN_STATEMENTS

    public static final int IF_STAT__THEN_STATEMENTS

The feature id for the 'Then Statements' containment reference list.

See Also:
  Constant Field Values

#### IF_STAT__ELSE_STATEMENTS

    public static final int IF_STAT__ELSE_STATEMENTS

The feature id for the 'Else Statements' containment reference list.

See Also:
  Constant Field Values

#### IF_STAT_FEATURE_COUNT

    public static final int IF_STAT_FEATURE_COUNT

The number of structural features of the 'If Stat' class.

See Also:
  Constant Field Values

#### FOR_STAT

    public static final int FOR_STAT

The meta object id for the '`For Stat`' class.

See Also:
  `ForStat`, `getForStat()`, Constant Field Values

#### FOR_STAT__LOCATION

    public static final int FOR_STAT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### FOR_STAT__COMMENTS_BEFORE

    public static final int FOR_STAT__COMMENTS_BEFORE

The feature id for the 'Comments Before' attribute list.

See Also:
  Constant Field Values

#### FOR_STAT__COMMENTS_AFTER

    public static final int FOR_STAT__COMMENTS_AFTER

The feature id for the 'Comments After' attribute list.

See Also:
  Constant Field Values

#### FOR_STAT__ITERATOR

    public static final int FOR_STAT__ITERATOR

The feature id for the 'Iterator' containment reference.

See Also:
  Constant Field Values

#### FOR_STAT__COLLECTION

    public static final int FOR_STAT__COLLECTION

The feature id for the 'Collection' containment reference.

See Also:
  Constant Field Values

#### FOR_STAT__STATEMENTS

    public static final int FOR_STAT__STATEMENTS

The feature id for the 'Statements' containment reference list.

See Also:
  Constant Field Values

#### FOR_STAT_FEATURE_COUNT

    public static final int FOR_STAT_FEATURE_COUNT

The number of structural features of the 'For Stat' class.

See Also:
  Constant Field Values

### Method Detail

#### init

    public static ATLPackage init()

Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  `eNS_URI`, `createPackageContents()`, `initializePackageContents()`

#### getLocatedElement

    public org.eclipse.emf.ecore.EClass getLocatedElement()

Returns the meta object for class '`Located Element`'.

Returns:
  the meta object for class 'Located Element'.
See Also:
  `LocatedElement`

#### getLocatedElement_Location

    public org.eclipse.emf.ecore.EAttribute getLocatedElement_Location()

Returns the meta object for the attribute '`Location`'.

Returns:
  the meta object for the attribute 'Location'.
See Also:
  `LocatedElement.getLocation()`, `getLocatedElement()`

#### getLocatedElement_CommentsBefore

    public org.eclipse.emf.ecore.EAttribute getLocatedElement_CommentsBefore()

Returns the meta object for the attribute list '`Comments Before`'.

Returns:
  the meta object for the attribute list 'Comments Before'.
See Also:
  `LocatedElement.getCommentsBefore()`, `getLocatedElement()`

#### getLocatedElement_CommentsAfter

    public org.eclipse.emf.ecore.EAttribute getLocatedElement_CommentsAfter()

Returns the meta object for the attribute list '`Comments After`'.

Returns:
  the meta object for the attribute list 'Comments After'.
See Also:
  `LocatedElement.getCommentsAfter()`, `getLocatedElement()`

#### getUnit

    public org.eclipse.emf.ecore.EClass getUnit()

Returns the meta object for class '`Unit`'.

Returns:
  the meta object for class 'Unit'.
See Also:
  `Unit`

#### getUnit_Libraries

    public org.eclipse.emf.ecore.EReference getUnit_Libraries()

Returns the meta object for the containment reference list '`Libraries`'.

Returns:
  the meta object for the containment reference list 'Libraries'.
See Also:
  `Unit.getLibraries()`, `getUnit()`

#### getUnit_Name

    public org.eclipse.emf.ecore.EAttribute getUnit_Name()

Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  `Unit.getName()`, `getUnit()`

#### getLibrary

    public org.eclipse.emf.ecore.EClass getLibrary()

Returns the meta object for class '`Library`'.

Returns:
  the meta object for class 'Library'.
See Also:
  `Library`

#### getLibrary_Helpers

    public org.eclipse.emf.ecore.EReference getLibrary_Helpers()

Returns the meta object for the containment reference list '`Helpers`'.

Returns:
  the meta object for the containment reference list 'Helpers'.
See Also:
  `Library.getHelpers()`, `getLibrary()`

#### getQuery

    public org.eclipse.emf.ecore.EClass getQuery()

Returns the meta object for class '`Query`'.

Returns:
  the meta object for class 'Query'.
See Also:
  `Query`

#### getQuery_Body

    public org.eclipse.emf.ecore.EReference getQuery_Body()

Returns the meta object for the containment reference '`Body`'.

Returns:
  the meta object for the containment reference 'Body'.
See Also:
  `Query.getBody()`, `getQuery()`

#### getQuery_Helpers

    public org.eclipse.emf.ecore.EReference getQuery_Helpers()

Returns the meta object for the containment reference list '`Helpers`'.

Returns:
  the meta object for the containment reference list 'Helpers'.
See Also:
  `Query.getHelpers()`, `getQuery()`

#### getModule

    public org.eclipse.emf.ecore.EClass getModule()

Returns the meta object for class '`Module`'.

Returns:
  the meta object for class 'Module'.
See Also:
  `Module`

#### getModule_IsRefining

    public org.eclipse.emf.ecore.EAttribute getModule_IsRefining()

Returns the meta object for the attribute '`Is Refining`'.

Returns:
  the meta object for the attribute 'Is Refining'.
See Also:
  `Module.isIsRefining()`, `getModule()`

#### getModule_InModels

    public org.eclipse.emf.ecore.EReference getModule_InModels()

Returns the meta object for the containment reference list '`In Models`'.

Returns:
  the meta object for the containment reference list 'In Models'.
See Also:
  `Module.getInModels()`, `getModule()`

#### getModule_OutModels

    public org.eclipse.emf.ecore.EReference getModule_OutModels()

Returns the meta object for the containment reference list '`Out Models`'.

Returns:
  the meta object for the containment reference list 'Out Models'.
See Also:
  `Module.getOutModels()`, `getModule()`

#### getModule_Elements

    public org.eclipse.emf.ecore.EReference getModule_Elements()

Returns the meta object for the containment reference list '`Elements`'.

Returns:
  the meta object for the containment reference list 'Elements'.
See Also:
  `Module.getElements()`, `getModule()`

#### getModuleElement

    public org.eclipse.emf.ecore.EClass getModuleElement()

Returns the meta object for class '`Module Element`'.

Returns:
  the meta object for class 'Module Element'.
See Also:
  `ModuleElement`

#### getModuleElement_Module

    public org.eclipse.emf.ecore.EReference getModuleElement_Module()

Returns the meta object for the container reference '`Module`'.

Returns:
  the meta object for the container reference 'Module'.
See Also:
  `ModuleElement.getModule()`, `getModuleElement()`

#### getHelper

    public org.eclipse.emf.ecore.EClass getHelper()

Returns the meta object for class '`Helper`'.

Returns:
  the meta object for class 'Helper'.
See Also:
  `Helper`

#### getHelper_Query

    public org.eclipse.emf.ecore.EReference getHelper_Query()

Returns the meta object for the container reference '`Query`'.

Returns:
  the meta object for the container reference 'Query'.
See Also:
  `Helper.getQuery()`, `getHelper()`

#### getHelper_Library

    public org.eclipse.emf.ecore.EReference getHelper_Library()

Returns the meta object for the container reference '`Library`'.

Returns:
  the meta object for the container reference 'Library'.
See Also:
  `Helper.getLibrary()`, `getHelper()`

#### getHelper_Definition

    public org.eclipse.emf.ecore.EReference getHelper_Definition()

Returns the meta object for the containment reference '`Definition`'.

Returns:
  the meta object for the containment reference 'Definition'.
See Also:
  `Helper.getDefinition()`, `getHelper()`

#### getRule

    public org.eclipse.emf.ecore.EClass getRule()

Returns the meta object for class '`Rule`'.

Returns:
  the meta object for class 'Rule'.
See Also:
  `Rule`

#### getRule_OutPattern

    public org.eclipse.emf.ecore.EReference getRule_OutPattern()

Returns the meta object for the containment reference '`Out Pattern`'.

Returns:
  the meta object for the containment reference 'Out Pattern'.
See Also:
  `Rule.getOutPattern()`, `getRule()`

#### getRule_ActionBlock

    public org.eclipse.emf.ecore.EReference getRule_ActionBlock()

Returns the meta object for the containment reference '`Action Block`'.

Returns:
  the meta object for the containment reference 'Action Block'.
See Also:
  `Rule.getActionBlock()`, `getRule()`

#### getRule_Variables

    public org.eclipse.emf.ecore.EReference getRule_Variables()

Returns the meta object for the containment reference list '`Variables`'.

Returns:
  the meta object for the containment reference list 'Variables'.
See Also:
  `Rule.getVariables()`, `getRule()`

#### getRule_Name

    public org.eclipse.emf.ecore.EAttribute getRule_Name()

Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  `Rule.getName()`, `getRule()`

#### getMatchedRule

    public org.eclipse.emf.ecore.EClass getMatchedRule()

Returns the meta object for class '`Matched Rule`'.

Returns:
  the meta object for class 'Matched Rule'.
See Also:
  `MatchedRule`

#### getMatchedRule_InPattern

    public org.eclipse.emf.ecore.EReference getMatchedRule_InPattern()

Returns the meta object for the containment reference '`In Pattern`'.

Returns:
  the meta object for the containment reference 'In Pattern'.
See Also:
  `MatchedRule.getInPattern()`, `getMatchedRule()`

#### getMatchedRule_Children

    public org.eclipse.emf.ecore.EReference getMatchedRule_Children()

Returns the meta object for the reference list '`Children`'.

Returns:
  the meta object for the reference list 'Children'.
See Also:
  `MatchedRule.getChildren()`, `getMatchedRule()`

#### getMatchedRule_SuperRule

    public org.eclipse.emf.ecore.EReference getMatchedRule_SuperRule()

Returns the meta object for the reference '`Super Rule`'.

Returns:
  the meta object for the reference 'Super Rule'.
See Also:
  `MatchedRule.getSuperRule()`, `getMatchedRule()`

#### getMatchedRule_IsAbstract

    public org.eclipse.emf.ecore.EAttribute getMatchedRule_IsAbstract()

Returns the meta object for the attribute '`Is Abstract`'.

Returns:
  the meta object for the attribute 'Is Abstract'.
See Also:
  `MatchedRule.isIsAbstract()`, `getMatchedRule()`

#### getMatchedRule_IsRefining

    public org.eclipse.emf.ecore.EAttribute getMatchedRule_IsRefining()

Returns the meta object for the attribute '`Is Refining`'.

Returns:
  the meta object for the attribute 'Is Refining'.
See Also:
  `MatchedRule.isIsRefining()`, `getMatchedRule()`

#### getMatchedRule_IsNoDefault

    public org.eclipse.emf.ecore.EAttribute getMatchedRule_IsNoDefault()

Returns the meta object for the attribute '`Is No Default`'.

Returns:
  the meta object for the attribute 'Is No Default'.
See Also:
  `MatchedRule.isIsNoDefault()`, `getMatchedRule()`

#### getLazyMatchedRule

    public org.eclipse.emf.ecore.EClass getLazyMatchedRule()

Returns the meta object for class '`Lazy Matched Rule`'.

Returns:
  the meta object for class 'Lazy Matched Rule'.
See Also:
  `LazyMatchedRule`

#### getLazyMatchedRule_IsUnique

    public org.eclipse.emf.ecore.EAttribute getLazyMatchedRule_IsUnique()

Returns the meta object for the attribute '`Is Unique`'.

Returns:
  the meta object for the attribute 'Is Unique'.
See Also:
  `LazyMatchedRule.isIsUnique()`, `getLazyMatchedRule()`

#### getCalledRule

    public org.eclipse.emf.ecore.EClass getCalledRule()

Returns the meta object for class '`Called Rule`'.

Returns:
  the meta object for class 'Called Rule'.
See Also:
  `CalledRule`

#### getCalledRule_Parameters

    public org.eclipse.emf.ecore.EReference getCalledRule_Parameters()

Returns the meta object for the containment reference list '`Parameters`'.

Returns:
  the meta object for the containment reference list 'Parameters'.
See Also:
  `CalledRule.getParameters()`, `getCalledRule()`

#### getCalledRule_IsEntrypoint

    public org.eclipse.emf.ecore.EAttribute getCalledRule_IsEntrypoint()

Returns the meta object for the attribute '`Is Entrypoint`'.

Returns:
  the meta object for the attribute 'Is Entrypoint'.
See Also:
  `CalledRule.isIsEntrypoint()`, `getCalledRule()`

#### getCalledRule_IsEndpoint

    public org.eclipse.emf.ecore.EAttribute getCalledRule_IsEndpoint()

Returns the meta object for the attribute '`Is Endpoint`'.

Returns:
  the meta object for the attribute 'Is Endpoint'.
See Also:
  `CalledRule.isIsEndpoint()`, `getCalledRule()`

#### getInPattern

    public org.eclipse.emf.ecore.EClass getInPattern()

Returns the meta object for class '`In Pattern`'.

Returns:
  the meta object for class 'In Pattern'.
See Also:
  `InPattern`

#### getInPattern_Elements

    public org.eclipse.emf.ecore.EReference getInPattern_Elements()

Returns the meta object for the containment reference list '`Elements`'.

Returns:
  the meta object for the containment reference list 'Elements'.
See Also:
  `InPattern.getElements()`, `getInPattern()`

#### getInPattern_Rule

    public org.eclipse.emf.ecore.EReference getInPattern_Rule()

Returns the meta object for the container reference '`Rule`'.

Returns:
  the meta object for the container reference 'Rule'.
See Also:
  `InPattern.getRule()`, `getInPattern()`

#### getInPattern_Filter

    public org.eclipse.emf.ecore.EReference getInPattern_Filter()

Returns the meta object for the containment reference '`Filter`'.

Returns:
  the meta object for the containment reference 'Filter'.
See Also:
  `InPattern.getFilter()`, `getInPattern()`

#### getOutPattern

    public org.eclipse.emf.ecore.EClass getOutPattern()

Returns the meta object for class '`Out Pattern`'.

Returns:
  the meta object for class 'Out Pattern'.
See Also:
  `OutPattern`

#### getOutPattern_Rule

    public org.eclipse.emf.ecore.EReference getOutPattern_Rule()

Returns the meta object for the container reference '`Rule`'.

Returns:
  the meta object for the container reference 'Rule'.
See Also:
  `OutPattern.getRule()`, `getOutPattern()`

#### getOutPattern_DropPattern

    public org.eclipse.emf.ecore.EReference getOutPattern_DropPattern()

Returns the meta object for the containment reference '`Drop Pattern`'.

Returns:
  the meta object for the containment reference 'Drop Pattern'.
See Also:
  `OutPattern.getDropPattern()`, `getOutPattern()`

#### getOutPattern_Elements

    public org.eclipse.emf.ecore.EReference getOutPattern_Elements()

Returns the meta object for the containment reference list '`Elements`'.

Returns:
  the meta object for the containment reference list 'Elements'.
See Also:
  `OutPattern.getElements()`, `getOutPattern()`

#### getDropPattern

    public org.eclipse.emf.ecore.EClass getDropPattern()

Returns the meta object for class '`Drop Pattern`'.

Returns:
  the meta object for class 'Drop Pattern'.
See Also:
  `DropPattern`

#### getDropPattern_OutPattern

    public org.eclipse.emf.ecore.EReference getDropPattern_OutPattern()

Returns the meta object for the container reference '`Out Pattern`'.

Returns:
  the meta object for the container reference 'Out Pattern'.
See Also:
  `DropPattern.getOutPattern()`, `getDropPattern()`

#### getPatternElement

    public org.eclipse.emf.ecore.EClass getPatternElement()

Returns the meta object for class '`Pattern Element`'.

Returns:
  the meta object for class 'Pattern Element'.
See Also:
  `PatternElement`

#### getInPatternElement

    public org.eclipse.emf.ecore.EClass getInPatternElement()

Returns the meta object for class '`In Pattern Element`'.

Returns:
  the meta object for class 'In Pattern Element'.
See Also:
  `InPatternElement`

#### getInPatternElement_MapsTo

    public org.eclipse.emf.ecore.EReference getInPatternElement_MapsTo()

Returns the meta object for the reference '`Maps To`'.

Returns:
  the meta object for the reference 'Maps To'.
See Also:
  `InPatternElement.getMapsTo()`, `getInPatternElement()`

#### getInPatternElement_InPattern

    public org.eclipse.emf.ecore.EReference getInPatternElement_InPattern()

Returns the meta object for the container reference '`In Pattern`'.

Returns:
  the meta object for the container reference 'In Pattern'.
See Also:
  `InPatternElement.getInPattern()`, `getInPatternElement()`

#### getInPatternElement_Models

    public org.eclipse.emf.ecore.EReference getInPatternElement_Models()

Returns the meta object for the reference list '`Models`'.

Returns:
  the meta object for the reference list 'Models'.
See Also:
  `InPatternElement.getModels()`, `getInPatternElement()`

#### getSimpleInPatternElement

    public org.eclipse.emf.ecore.EClass getSimpleInPatternElement()

Returns the meta object for class '`Simple In Pattern Element`'.

Returns:
  the meta object for class 'Simple In Pattern Element'.
See Also:
  `SimpleInPatternElement`

#### getOutPatternElement

    public org.eclipse.emf.ecore.EClass getOutPatternElement()

Returns the meta object for class '`Out Pattern Element`'.

Returns:
  the meta object for class 'Out Pattern Element'.
See Also:
  `OutPatternElement`

#### getOutPatternElement_OutPattern

    public org.eclipse.emf.ecore.EReference getOutPatternElement_OutPattern()

Returns the meta object for the container reference '`Out Pattern`'.

Returns:
  the meta object for the container reference 'Out Pattern'.
See Also:
  `OutPatternElement.getOutPattern()`, `getOutPatternElement()`

#### getOutPatternElement_SourceElement

    public org.eclipse.emf.ecore.EReference getOutPatternElement_SourceElement()

Returns the meta object for the reference '`Source Element`'.

Returns:
  the meta object for the reference 'Source Element'.
See Also:
  `OutPatternElement.getSourceElement()`, `getOutPatternElement()`

#### getOutPatternElement_Bindings

    public org.eclipse.emf.ecore.EReference getOutPatternElement_Bindings()

Returns the meta object for the containment reference list '`Bindings`'.

Returns:
  the meta object for the containment reference list 'Bindings'.
See Also:
  `OutPatternElement.getBindings()`, `getOutPatternElement()`

#### getOutPatternElement_Model

    public org.eclipse.emf.ecore.EReference getOutPatternElement_Model()

Returns the meta object for the reference '`Model`'.

Returns:
  the meta object for the reference 'Model'.
See Also:
  `OutPatternElement.getModel()`, `getOutPatternElement()`

#### getSimpleOutPatternElement

    public org.eclipse.emf.ecore.EClass getSimpleOutPatternElement()

Returns the meta object for class '`Simple Out Pattern Element`'.

Returns:
  the meta object for class 'Simple Out Pattern Element'.
See Also:
  `SimpleOutPatternElement`

#### getSimpleOutPatternElement_ReverseBindings

    public org.eclipse.emf.ecore.EReference getSimpleOutPatternElement_ReverseBindings()

Returns the meta object for the containment reference list '`Reverse Bindings`'.

Returns:
  the meta object for the containment reference list 'Reverse Bindings'.
See Also:
  `SimpleOutPatternElement.getReverseBindings()`, `getSimpleOutPatternElement()`

#### getForEachOutPatternElement

    public org.eclipse.emf.ecore.EClass getForEachOutPatternElement()

Returns the meta object for class '`For Each Out Pattern Element`'.

Returns:
  the meta object for class 'For Each Out Pattern Element'.
See Also:
  `ForEachOutPatternElement`

#### getForEachOutPatternElement_Collection

    public org.eclipse.emf.ecore.EReference getForEachOutPatternElement_Collection()

Returns the meta object for the containment reference '`Collection`'.

Returns:
  the meta object for the containment reference 'Collection'.
See Also:
  `ForEachOutPatternElement.getCollection()`, `getForEachOutPatternElement()`

#### getForEachOutPatternElement_Iterator

    public org.eclipse.emf.ecore.EReference getForEachOutPatternElement_Iterator()

Returns the meta object for the containment reference '`Iterator`'.

Returns:
  the meta object for the containment reference 'Iterator'.
See Also:
  `ForEachOutPatternElement.getIterator()`, `getForEachOutPatternElement()`

#### getBinding

    public org.eclipse.emf.ecore.EClass getBinding()

Returns the meta object for class '`Binding`'.

Returns:
  the meta object for class 'Binding'.
See Also:
  `Binding`

#### getBinding_Value

    public org.eclipse.emf.ecore.EReference getBinding_Value()

Returns the meta object for the containment reference '`Value`'.

Returns:
  the meta object for the containment reference 'Value'.
See Also:
  `Binding.getValue()`, `getBinding()`

#### getBinding_OutPatternElement

    public org.eclipse.emf.ecore.EReference getBinding_OutPatternElement()

Returns the meta object for the container reference '`Out Pattern Element`'.

Returns:
  the meta object for the container reference 'Out Pattern Element'.
See Also:
  `Binding.getOutPatternElement()`, `getBinding()`

#### getBinding_PropertyName

    public org.eclipse.emf.ecore.EAttribute getBinding_PropertyName()

Returns the meta object for the attribute '`Property Name`'.

Returns:
  the meta object for the attribute 'Property Name'.
See Also:
  `Binding.getPropertyName()`, `getBinding()`

#### getBinding_IsAssignment

    public org.eclipse.emf.ecore.EAttribute getBinding_IsAssignment()

Returns the meta object for the attribute '`Is Assignment`'.

Returns:
  the meta object for the attribute 'Is Assignment'.
See Also:
  `Binding.isIsAssignment()`, `getBinding()`

#### getRuleVariableDeclaration

    public org.eclipse.emf.ecore.EClass getRuleVariableDeclaration()

Returns the meta object for class '`Rule Variable Declaration`'.

Returns:
  the meta object for class 'Rule Variable Declaration'.
See Also:
  `RuleVariableDeclaration`

#### getRuleVariableDeclaration_Rule

    public org.eclipse.emf.ecore.EReference getRuleVariableDeclaration_Rule()

Returns the meta object for the container reference '`Rule`'.

Returns:
  the meta object for the container reference 'Rule'.
See Also:
  `RuleVariableDeclaration.getRule()`, `getRuleVariableDeclaration()`

#### getLibraryRef

    public org.eclipse.emf.ecore.EClass getLibraryRef()

Returns the meta object for class '`Library Ref`'.

Returns:
  the meta object for class 'Library Ref'.
See Also:
  `LibraryRef`

#### getLibraryRef_Unit

    public org.eclipse.emf.ecore.EReference getLibraryRef_Unit()

Returns the meta object for the container reference '`Unit`'.

Returns:
  the meta object for the container reference 'Unit'.
See Also:
  `LibraryRef.getUnit()`, `getLibraryRef()`

#### getLibraryRef_Name

    public org.eclipse.emf.ecore.EAttribute getLibraryRef_Name()

Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  `LibraryRef.getName()`, `getLibraryRef()`

#### getActionBlock

    public org.eclipse.emf.ecore.EClass getActionBlock()

Returns the meta object for class '`Action Block`'.

Returns:
  the meta object for class 'Action Block'.
See Also:
  `ActionBlock`

#### getActionBlock_Rule

    public org.eclipse.emf.ecore.EReference getActionBlock_Rule()

Returns the meta object for the container reference '`Rule`'.

Returns:
  the meta object for the container reference 'Rule'.
See Also:
  `ActionBlock.getRule()`, `getActionBlock()`

#### getActionBlock_Statements

    public org.eclipse.emf.ecore.EReference getActionBlock_Statements()

Returns the meta object for the containment reference list '`Statements`'.

Returns:
  the meta object for the containment reference list 'Statements'.
See Also:
  `ActionBlock.getStatements()`, `getActionBlock()`

#### getStatement

    public org.eclipse.emf.ecore.EClass getStatement()

Returns the meta object for class '`Statement`'.

Returns:
  the meta object for class 'Statement'.
See Also:
  `Statement`

#### getExpressionStat

    public org.eclipse.emf.ecore.EClass getExpressionStat()

Returns the meta object for class '`Expression Stat`'.

Returns:
  the meta object for class 'Expression Stat'.
See Also:
  `ExpressionStat`

#### getExpressionStat_Expression

    public org.eclipse.emf.ecore.EReference getExpressionStat_Expression()

Returns the meta object for the containment reference '`Expression`'.

Returns:
  the meta object for the containment reference 'Expression'.
See Also:
  `ExpressionStat.getExpression()`, `getExpressionStat()`

#### getBindingStat

    public org.eclipse.emf.ecore.EClass getBindingStat()

Returns the meta object for class '`Binding Stat`'.

Returns:
  the meta object for class 'Binding Stat'.
See Also:
  `BindingStat`

#### getBindingStat_Source

    public org.eclipse.emf.ecore.EReference getBindingStat_Source()

Returns the meta object for the containment reference '`Source`'.

Returns:
  the meta object for the containment reference 'Source'.
See Also:
  `BindingStat.getSource()`, `getBindingStat()`

#### getBindingStat_PropertyName

    public org.eclipse.emf.ecore.EAttribute getBindingStat_PropertyName()

Returns the meta object for the attribute '`Property Name`'.

Returns:
  the meta object for the attribute 'Property Name'.
See Also:
  `BindingStat.getPropertyName()`, `getBindingStat()`

#### getBindingStat_IsAssignment

    public org.eclipse.emf.ecore.EAttribute getBindingStat_IsAssignment()

Returns the meta object for the attribute '`Is Assignment`'.

Returns:
  the meta object for the attribute 'Is Assignment'.
See Also:
  `BindingStat.isIsAssignment()`, `getBindingStat()`

#### getBindingStat_Value

    public org.eclipse.emf.ecore.EReference getBindingStat_Value()

Returns the meta object for the containment reference '`Value`'.

Returns:
  the meta object for the containment reference 'Value'.
See Also:
  `BindingStat.getValue()`, `getBindingStat()`

#### getIfStat

    public org.eclipse.emf.ecore.EClass getIfStat()

Returns the meta object for class '`If Stat`'.

Returns:
  the meta object for class 'If Stat'.
See Also:
  `IfStat`

#### getIfStat_Condition

    public org.eclipse.emf.ecore.EReference getIfStat_Condition()

Returns the meta object for the containment reference '`Condition`'.

Returns:
  the meta object for the containment reference 'Condition'.
See Also:
  `IfStat.getCondition()`, `getIfStat()`

#### getIfStat_ThenStatements

    public org.eclipse.emf.ecore.EReference getIfStat_ThenStatements()

Returns the meta object for the containment reference list '`Then Statements`'.

Returns:
  the meta object for the containment reference list 'Then Statements'.
See Also:
  `IfStat.getThenStatements()`, `getIfStat()`

#### getIfStat_ElseStatements

    public org.eclipse.emf.ecore.EReference getIfStat_ElseStatements()

Returns the meta object for the containment reference list '`Else Statements`'.

Returns:
  the meta object for the containment reference list 'Else Statements'.
See Also:
  `IfStat.getElseStatements()`, `getIfStat()`

#### getForStat

    public org.eclipse.emf.ecore.EClass getForStat()

Returns the meta object for class '`For Stat`'.

Returns:
  the meta object for class 'For Stat'.
See Also:
  `ForStat`

#### getForStat_Iterator

    public org.eclipse.emf.ecore.EReference getForStat_Iterator()

Returns the meta object for the containment reference '`Iterator`'.

Returns:
  the meta object for the containment reference 'Iterator'.
See Also:
  `ForStat.getIterator()`, `getForStat()`

#### getForStat_Collection

    public org.eclipse.emf.ecore.EReference getForStat_Collection()

Returns the meta object for the containment reference '`Collection`'.

Returns:
  the meta object for the containment reference 'Collection'.
See Also:
  `ForStat.getCollection()`, `getForStat()`

#### getForStat_Statements

    public org.eclipse.emf.ecore.EReference getForStat_Statements()

Returns the meta object for the containment reference list '`Statements`'.

Returns:
  the meta object for the containment reference list 'Statements'.
See Also:
  `ForStat.getStatements()`, `getForStat()`

#### getATLFactory

    public ATLFactory getATLFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.

#### createPackageContents

    public void createPackageContents()

Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

#### initializePackageContents

    public void initializePackageContents()

Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.